angular.module('MetronicApp').controller('ClassController', ['$rootScope', '$scope', 'settings', '$location','$http','$state','toastr', function($rootScope, $scope, settings,$location,$http,$state,toastr) {
    $scope.$on('$viewContentLoaded', function() {   
        // initialize core components
		App.initAjax();
	   $('.modal-backdrop').remove();
	   $scope.setSelectedVid($scope.selectedVid);
        // set default layout mode
        $rootScope.settings.layout.pageContentWhite = true;
        $rootScope.settings.layout.pageBodySolid = false;
        $rootScope.settings.layout.pageSidebarClosed = false;
		
		var permissionRequest = "class";
		$http.get('php_data/checkPermissions.php?business_id=1&user_id='+$rootScope.userId+'&permission='+permissionRequest)
		.success(function(data) {
			if(!data.success)
			{
				swal({
					title: 'ไม่มีสิทธิ์ในการเข้าใช้งาน',
					text: 'คุณไม่สามารถเข้าใช้งานหน้าต่างนี้ได้ หากต้องการเข้าใช้งานกรุณาติดต่อกับพนักงานที่สามารถตั้งค่าการใช้งานภายในกิจการของคุณค่ะ'
				});
				$state.transitionTo("home");
				event.preventDefault();
			}
			})
		.error(function(err) {console.log(err);} );
	
		
	});
	var searchObject = $location.search();
	$scope.divId = 1;
	$scope.selectedVid = searchObject.vid >=1 && searchObject.vid <= 25 ? searchObject.vid : 1;
	$scope.filteredVideo = {};
	$scope.videoPlay = {
		/* cashflow tutorial */
		1 : "https://www.youtube.com/embed/syTyMmOdpZQ?enablejsapi=true",
		2 : "https://www.youtube.com/embed/h04E8LB3bdY?enablejsapi=true",
		3 : "https://www.youtube.com/embed/EdbZavjFbkg?enablejsapi=true",
		4 : "https://www.youtube.com/embed/GPPakUc86Zg?enablejsapi=true",
		5 : "https://www.youtube.com/embed/D9UgXyRq5kw?enablejsapi=true",
		6 : "https://www.youtube.com/embed/jtiGWZ3QwaU?enablejsapi=true",
		7 : "https://www.youtube.com/embed/7ajNMpPKdIg?enablejsapi=true",
		8 : "https://www.youtube.com/embed/_S5-E8ciBdg?enablejsapi=true",
		9 : "https://www.youtube.com/embed/i9VBhxSInfY?enablejsapi=true",
		10 : "https://www.youtube.com/embed/I7I23hrawqk?enablejsapi=true",
		11 : "https://www.youtube.com/embed/PfAeQVQH7cY?enablejsapi=true",
		12 : "https://www.youtube.com/embed/wSOWUM2NUno?enablejsapi=true",
		13 : "https://www.youtube.com/embed/F0mb_Ttm4Oo?enablejsapi=true",
		14 : "https://www.youtube.com/embed/tLXgpZqzCqo?enablejsapi=true",
		15 : "https://www.youtube.com/embed/F0OoXtjyejo?enablejsapi=true",
		16 : "https://www.youtube.com/embed/EA-LAhjSPs0?enablejsapi=true",
		17 : "https://www.youtube.com/embed/q222JU6SDEM?enablejsapi=true",
		18 : "https://www.youtube.com/embed/EcfFoaN_XWQ?enablejsapi=true",
		/* case study */
		27 : "https://www.youtube.com/embed/FERwNibQB_c?enablejsapi=true",
		28 : "https://www.youtube.com/embed/mxt-QhvW4Fk?enablejsapi=true",
		29 : "https://www.youtube.com/embed/Dnyt7Fa1Exg?enablejsapi=true",
		30 : "https://www.youtube.com/embed/ZiWrNQcwIrQ?enablejsapi=true",
		31 : "https://www.youtube.com/embed/CVh9XuDvpO4?enablejsapi=true",
		32 : "https://www.youtube.com/embed/_jeYuLLRDRc?enablejsapi=true",
		33 : "https://www.youtube.com/embed/haWg1UWQ84c?enablejsapi=true",
		/* invoice tutorial */
		19 : "https://www.youtube.com/embed/1R9QoNzo0YI?enablejsapi=true",
		20 : "https://www.youtube.com/embed/DSZPWgN8IiI?enablejsapi=true",
		21 : "https://www.youtube.com/embed/3-G8_utl-SI?enablejsapi=true",
		22 : "https://www.youtube.com/embed/V0EEjUCPMJQ?enablejsapi=true",
		23 : "https://www.youtube.com/embed/QiRflT4me8Q?enablejsapi=true",
		24 : "https://www.youtube.com/embed/LKHe4WWuLVA?enablejsapi=true",
		25 : "https://www.youtube.com/embed/wPCFoj7P1yo?enablejsapi=true",
		26 : "https://www.youtube.com/embed/U928kgwfres?enablejsapi=true",

	}
	$scope.videoTitle = {
		/* cashflow tutorial */
		1 : "1. MY CashFlow คืออะไร?",
		2 : "2. ที่มาของโปรแกรม",
		3 : "3. งบกระแสเงินสดสำคัญอย่างไร",
		4 : "4. งบกระแสเงินสดแบ่งออกเป็น 3 กิจกรรม",
		5 : "5. กิจกรรมดำเนินงาน",
		6 : "6. กิจกรรมลงทุน",
		7 : "7. กิจกรรมจัดหาเงิน",
		8 : "8. วิธีการสมัครใช้งาน โปรแกรม MY CashFlow",
		9 : "9. วิธีการเข้าสู้ระบบ",
		10 : "10. เรียนรู้การใช้งานพื้นฐาน หน้าแรก",
		11 : "11. เรียนรู้การใช้งานพื้นฐาน รับเงิน - จ่ายเงิน",
		12 : "12. เรียนรู้การใช้งานพื้นฐาน กำหนดรับเงิน กำหนดจ่ายเงิน",
		13 : "13. เรียนรู้การใช้งานพื้นฐาน ห้องเรียนและช่วยเหลือ",
		14 : "14. เรียนรู้การใช้งานพื้นฐาน หน้ารายงาน",
		15 : "15. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : ข้อมูลกิจการ",
		16 : "16. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : จัดการพนักงาน",
		17 : "17. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : จัดการหมวดหมู่รับ - จ่าย",
		18 : "18. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : จัดการบัญชีลูกหนี้ - เจ้าหนี้",
		/* case study */
		27 : "กรณีศึกษา : ขายของออนไลน์  Ep.1-7",
		28 : "กรณีศึกษา : ขายของออนไลน์  Ep.2-7",
		29 : "กรณีศึกษา : ขายของออนไลน์  Ep.3-7",
		30 : "กรณีศึกษา : ขายของออนไลน์  Ep.4-7",
		31 : "กรณีศึกษา : ขายของออนไลน์  Ep.5-7",
		32 : "กรณีศึกษา : ขายของออนไลน์  Ep.6-7",
		33 : "กรณีศึกษา : ขายของออนไลน์  Ep.7-7",
		/* invoice tutorial */
		19 : "1.การตั้งค่าการใช้งานในระบบMY CashFlow (ฝั่งจัดการเอกสาร)",
		20 : "2.การสร้างรายการสินค้าในระบบMY CashFlow (ฝั่งจัดการเอกสาร)",
		21 : "3.การสร้างรายชื่อลูกค้าในระบบMY CashFlow (ฝั่งจัดการเอกสาร)",
		22 : "4.ความรู้เบื้องต้นเกี่ยวกับเรื่องVAT",
		23 : "5.ความรู้เบื้องต้นเกี่ยวกับเอกสารรายได้",
		24 : "6.การกรอกข้อมูลเอกสารรายได้ในระบบMY CashFlow",
		25 : "7.ความรู้เบื้องต้นเกี่ยวกับเอกสารรายจ่าย",
		26 : "8.การกรอกข้อมูลเอกสารรายจ่ายในระบบMY CashFlow"
	};
	
	$scope.videoDesc = [
		{keys: 1 , name: "1. MY CashFlow คืออะไร?", desc:"my cashflow ทำอะไรได้, my cashflow ช่วยอะไร, my cashflow ใช้ได้กับอุปกรณ์อะไรบ้าง"},
		{keys: 2 , name: "2. ที่มาของโปรแกรม", desc:"ที่มา, แรงบันดาลใจ, my cashflow ช่วยอะไร, ประโยช์น์ของ my cashflow, ทำไมต้องทำงบกระแสเงินสด"},
		{keys: 3 , name: "3. งบกระแสเงินสดสำคัญอย่างไร", desc:"งบกระแสเงินสดคืออะไร, ความจำเป็นของงบกระแสเงินสด, กฏหมายเกี่ยวกับงบกระแสเงินสด, งบกระแสเงินสดแตกต่างกับงบทางบัญชีอื่นๆอย่างไร, ทำไมต้องทำงบกระแสเงินสด"},
		{keys: 4 , name: "4. งบกระแสเงินสดแบ่งออกเป็น 3 กิจกรรม", desc:"กิจกรรมของงบกระแสเงินสดคืออะไร, ทำไมต้องแบ่งเป็นกิจกรรม, กิจกรรมดำเนินงานคืออะไร, กิจกรรมลงทุนคืออะไร, กิจกรรมจัดหาเงินคืออะไร "},
		{keys: 5 , name: "5. กิจกรรมดำเนินงาน", desc:"กิจกรรมดำเนินงานคืออะไร, CFO คืออะไร, ขายของได้ต้องลงในกิจกรรรมอะไร, จ่ายค่าจ้างพนักงานลงในกิจกรรมอะไร, ซื้อของมาขายลงในกิจกรรมอะไร, กิจกรรมของงบกระแสเงินสดคืออะไร"},
		{keys: 6 , name: "6. กิจกรรมลงทุน", desc:"กิจกรรมลงทุนคืออะไร, CFI คืออะไร, ซื้อ/ขายสินทรัพย์ถาวรลงในกิจกรรมอะไร, ซื้อ/ขายหุ้นลงในกิจกรรมอะไร, รับปันผลลงในกิจกรรมอะไร, กิจกรรมของงบกระแสเงินสดคืออะไร"},
		{keys: 7 , name: "7. กิจกรรมจัดหาเงิน", desc:"กิจกรรมจัดหาเงินคืออะไร, CFF คืออะไร, กู้เงินจากธนาคารลงในกิจกรรมอะไร, ใช้จ่ายส่วนตัวลงในกิจกรรมอะไร, จ่ายปันผลลงในกิจกรรมอะไร, กิจกรรมของงบกระแสเงินสดคืออะไร, ชำระหนี้เงินกู้ลงในกิจกรรมอะไร"},
		{keys: 8 , name: "8. วิธีการสมัครใช้งาน โปรแกรม MY CashFlow", desc:"สมัครยังไง, สมัครตรงไหน, ชื่อเว็บคืออะไร, ข้อมูลที่ใช้สมัคร, การยืนยันอีเมล์, การยืนยันตัวตน, เข้าสู่ระบบไม่ได้, เข้าโปรแกรมไม่ได้, ล๊อกอินไม่ได้"},
		{keys: 9 , name: "9. วิธีการเข้าสู้ระบบ", desc:"เข้าสู่ระบบตรงไหน, เข้าสู่ระบบยังไง, เข้าสู่ระบบไม่ได้, เข้าโปรแกรมไม่ได้, ล๊อกอินไม่ได้"},
		{keys: 10, name: "10. เรียนรู้การใช้งานพื้นฐาน หน้าแรก", desc: "หน้าแรกมีอะไร, หน้าแรกแสดงอะไร, เงินรอเรียกเก็บคืออะไร, เงินรอจ่ายคืออะไร(จะเปลี่ยนเป็นประมาณการรับประมาณการจ่าย), กราฟในหน้าแรกคืออะไร"},
		{keys: 11, name: "11. เรียนรู้การใช้งานพื้นฐาน รับเงิน - จ่ายเงิน", desc: "การรับเงิน, การจ่ายเงิน, เมนูรับจ่ายคืออะไร, การเพิ่มรายการ, การดูรับ/จ่ายย้อนหลัง"},
		{keys: 12, name: "12. เรียนรู้การใช้งานพื้นฐาน กำหนดรับเงิน กำหนดจ่ายเงิน", desc: "ประมาณการ, เมนูกำหนดรับเงิน, เมนูกำหนดจ่ายเงิน, การสร้างลูกหนี้/เจ้าหนี้, การดูกำหนดรับ/จ่ายย้อนหลัง, ข้อมูลลูกหนี้/เจ้าหนี้"},
		{keys: 13, name: "13. เรียนรู้การใช้งานพื้นฐาน ห้องเรียนและช่วยเหลือ", desc: "ดูกรณีศึกษา, การใช้งานเมนูช่วยเหลือ, เมนูช่วยเหลือคืออะไร, ช่องทางการซัพพอร์ท, บริการหลังการขาย, ฝ่ายซัพพอร์ท, ฝ่ายสนับสนุน, ดูแลลูกค้า"},
		{keys: 14, name: "14. เรียนรู้การใช้งานพื้นฐาน หน้ารายงาน", desc: "ประเภทของรายงาน, รายงานกระแสเงินสด, รายงานตามจริง, รายงานประมาณการ, รายงานเปรียบเทียบ, รายงานลูกหนี้/เจ้าหนี้, ดูกราฟที่ไหน, การนำรายงานออกมาเป็น excel, รายงานย้อนหลัง"},
		{keys: 15, name: "15. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : ข้อมูลกิจการ", desc: "การตั้งค่าข้อมูลกิจการ, การเปลี่ยนแปลงข้อมูลกิจการ, ล๊อกอินแล้วทำอะไรต่อ"},
		{keys: 16, name: "16. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : จัดการพนักงาน", desc: "การเพิ่มพนักงาน, การเพิ่มผู้ใช้งาน, การเพิ่ม user, การกำหนดสิทธิ์การใช้งาน, การแก้ไขรหัสผ่าน, การแก้ไขชื่อผู้ใช้, ไม่อยากให้คนอื่นเห็นข้อมูล, ไม่อยากให้พนักงานเห็นข้อมูล, อยากให้พนักงานทำรายการให้, การเข้าใช้งานของ user อีกคน, การล๊อกอินของ user อีกคน, การเข้าใช้งานของพนักงาน, การล๊อกอินของพนักงาน, การแก้ไขข้อมูลผู้ใช้"},
		{keys: 17, name: "17. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : จัดการหมวดหมู่รับ - จ่าย", desc: "การจัดการหมวดหมู่รับ/จ่าย, การซ่อนหมวดหมู่, การแก้ไขหมวดหมู่, การลบหมวดหมู่, การเพิ่มหมวดหมู่, การเพิ่มหมวดหมู่ย่อย"},
		{keys: 18, name: "18. เรียนรู้การใช้งานพื้นฐาน การตั้งค่า : จัดการบัญชีลูกหนี้ - เจ้าหนี้", desc: "การลบลูกหนี้/เจ้าหนี้, การแก้ไขข้อมูลลูกหนี้/เจ้าหนี้, การเปลี่ยนแปลงข้อมูลลูกหนี้/เจ้าหนี้, สร้างลูกหนี้/เจ้าหนี้, เพิ่มลูกหนี้/เจ้าหนี้"},
		{keys: 27, name: "27. กรณีศึกษา : ขายของออนไลน์ Ep.1-7", desc: "27"},
		{keys: 28, name: "28. กรณีศึกษา : ขายของออนไลน์ Ep.2-7", desc: "28,กรณีศึกษา,ขายของออนไลน์"},
		{keys: 29, name: "29. กรณีศึกษา : ขายของออนไลน์ Ep.3-7", desc: "29,กรณีศึกษา,ขายของออนไลน์"},
		{keys: 30, name: "30. กรณีศึกษา : ขายของออนไลน์ Ep.4-7", desc: "30,กรณีศึกษา,ขายของออนไลน์"},
		{keys: 31, name: "31. กรณีศึกษา : ขายของออนไลน์ Ep.5-7", desc: "31,กรณีศึกษา,ขายของออนไลน์"},
		{keys: 32, name: "32. กรณีศึกษา : ขายของออนไลน์ Ep.6-7", desc: "32,กรณีศึกษา,ขายของออนไลน์"},
		{keys: 33, name: "33. กรณีศึกษา : ขายของออนไลน์ Ep.7-7", desc: "33,กรณีศึกษา,ขายของออนไลน์"},
		{keys: 19, name: "19.", desc: "19"},
		{keys: 20, name: "20.", desc: "20"},
		{keys: 21, name: "21.", desc: "21"},
		{keys: 22, name: "22.", desc: "22"},
		{keys: 23, name: "23.", desc: "23"},
		{keys: 24, name: "24.", desc: "24"},
		{keys: 25, name: "25.", desc: "25"},
		{keys: 26, name: "26.", desc: "26"}
	];
	
	$scope.titleVid = searchObject.vid >=1 && searchObject.vid <= 18 ? $scope.videoTitle[searchObject.vid] :  $scope.videoTitle[1];
	$scope.titleVid2 = searchObject.vid >=19 && searchObject.vid <= 26 ? $scope.videoTitle[searchObject.vid] :  $scope.videoTitle[19];
	$scope.titleVid3 = searchObject.vid >=27 && searchObject.vid <= 33 ? $scope.videoTitle[searchObject.vid] :  $scope.videoTitle[27];
	$scope.divId = $scope.selectedVid <= 18 ? 1 : $scope.selectedVid <= 26 ? 2 : 3;
	
	
	$scope.setSelectedVid = function(vidId) 
	{
		$scope.selectedVid = vidId;
		// $scope.divId = $scope.selectedVid < 19 ? 1 : 2;
		$scope.divId = $scope.selectedVid <= 18 ? 1 : $scope.selectedVid <= 26 ? 2 : 3;
		$scope.switchHeader($scope.divId);
		$("a[data-target='#tab_5_"+$scope.divId+"']").click();
		$('.iframeYoutube'+$scope.divId).attr('src',$scope.videoPlay[vidId]);
	}
		
	$scope.switchHeader = function(newDiv) 
	{
		// if(newDiv == 1)
		// {
			// $scope.titleVid = $scope.videoTitle[$scope.selectedVid];
		// }
		// else
		// {
			// $scope.titleVid2 = $scope.videoTitle[$scope.selectedVid];
		// }
		switch(newDiv) {
			case 1:
			default:
				$scope.titleVid = $scope.videoTitle[$scope.selectedVid];
			break;
			case 2: 
				$scope.titleVid2 = $scope.videoTitle[$scope.selectedVid];
			break;
			case 3:
				$scope.titleVid3 = $scope.videoTitle[$scope.selectedVid];
			break;
		}
	}
	
	// search function to match full text
	$scope.localSearch = function(str) 
	{
	var matches = [];
	for (keys in $scope.videoDesc) {
		var searchTitle = $scope.videoDesc[keys];
		if ((searchTitle.name.toLowerCase().indexOf(str.toString().toLowerCase()) >= 0) ||
			(searchTitle.desc.toLowerCase().indexOf(str.toString().toLowerCase()) >= 0)) {
			matches.push($scope.videoDesc[keys]);
		}
	}
		return matches;
	};
	
	$scope.$watch('filteredVideo', function() 
	{
	   if($scope.filteredVideo.description)
	   {
			var vidId = $scope.filteredVideo.description.keys;
			$scope.setSelectedVid(vidId);
	   }
    });
	
}]);
