angular.module('MetronicApp').controller('HelpController', ['$rootScope', '$scope', 'settings', '$http', 'toastr', function($rootScope, $scope, settings, $http, toastr) {
    $scope.$on('$viewContentLoaded', function() {   
        // initialize core components
        App.initAjax();
        //toastr.info('We are ope# today from 10 to 22', 'Information');
       toastr.info('เรียนรู้เพิ่มเติมเกี่ยวกับช่วยเหลือ โดย<a href="#class?vid=13"><br>คลิกที่นี่</a>', 'เรียนรู้เพิ่มเติม');
        // set default layout mode
        $rootScope.settings.layout.pageContentWhite = true;
        $rootScope.settings.layout.pageBodySolid = false;
        $rootScope.settings.layout.pageSidebarClosed = false;
    });
	
    //$scope.query = {}
    //------------CFO+ Receive-------------
    $scope.cfoRcvKeywords = [
	  {
        "keyword" : "รับเงินจากการขาย",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "ขายสินค้าเป็นเงินสด",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "ขายของ ขายสินค้า",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "รับเงินจากลูกหนี้",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "ลูกหนี้มาชำระเงิน",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "เก็บเงินจากลูกหนี้",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      }
    ];
	
	//------------CFO- Expense-------------
	$scope.cfoExpKeywords = [
      {
        "keyword" : "จ่ายเงินซื้อสินค้า",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
      {
        "keyword" : "จ่ายเงินสดซื้อของ",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "ซื้อสินค้าเป็นเงินสด",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "ซื้อของเข้าร้าน",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายชำระเจ้าหนี้",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายเงินให้เจ้าหนี้",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายค่าใช้จ่ายดำเนินงาน",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายค่าเช่า",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายค่าน้ำไฟโทรศัพท์",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายเงินเดือนพนักงาน",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายประกันสังคม",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      },
	  {
        "keyword" : "จ่ายเงินค่าภาษี",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมดำเนินงาน"
      }
    ];
	
	//-------------CFI+ Receive-------------
	$scope.cfiRcvKeywords = [
      {
        "keyword" : "รับเงินจากขายสินทรัพย์",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      },
	  {
        "keyword" : "ขายอุปกรณ์สำนักงาน",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      },
	  {
        "keyword" : "ขายสินทรัพย์",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      },
	  {
        "keyword" : "รับเงินสดปันผล",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      },
	  {
        "keyword" : "รับดอกเบี้ยจากการให้กู้",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      }
    ];
	
	//------------CFI- Expense-------------
	$scope.cfiExpKeywords = [  
	  {
        "keyword" : "จ่ายเงินซื้อสินทรัพย์",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      },
	  {
        "keyword" : "จ่ายเงินซื้ออุปกรณ์",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      },
	  {
        "keyword" : "จ่ายเงินลงทุนในหุ้น",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      },
	  {
        "keyword" : "จ่ายเงินซื้อหลักทรัพย์",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมลงทุน"
      }
	];
	
	//------------CFF+ Receive-------------
	$scope.cffRcvKeywords = [  
	  {
        "keyword" : "รับเงินจากการลงทุน",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
      },
	  {
        "keyword" : "รับเงินจากการขายหุ้น",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
      },
	  {
        "keyword" : "รับเงินสดจากเงินกู้",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
      },
	  {
        "keyword" : "กู้เงินมาลงทุน",
        "menuType" : "รับเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
      }
	];
	
	//------------CFF- Expense-------------
	$scope.cffExpKeywords = [
	  {
        "keyword" : "จ่ายเงินปันผล",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
	  },
	  {
        "keyword" : "จ่ายเงินกู้ธนาคาร",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
	  },
	  {
        "keyword" : "จ่ายคืนทุน",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
	  },
	  {
        "keyword" : "ถอนใช้ส่วนตัว",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
	  },
	  {
        "keyword" : "เงินยืมกรรมการ",
        "menuType" : "จ่ายเงิน",
		"menuDesc" : "กิจกรรมจัดหาเงิน"
	  }
	];
    //$scope.orderProp="keyword";                
//console.log($scope.settings.layoutPath);
}]);


