angular.module('MetronicApp').controller('SettingsNotificationlCtrl', function($rootScope, $scope, settings,$http, $personal,$getQuery, $dbService) {
    $scope.$on('$viewContentLoaded', function() {   
        App.initAjax(); // initialize core components
        //Layout.setAngularJsSidebarMenuActiveLink('set', $('#sidebar_menu_link_settings'), $state); // set profile link active in sidebar menu 
    });

    // set sidebar closed and body solid layout mode
    $rootScope.settings.layout.pageBodySolid = true;
    $rootScope.settings.layout.pageSidebarClosed = false;

    //console.log($personal);	

	$scope.checkForm = {
		name	:	''
	}
	
	$scope.hasError = function(field, validation){
    if(validation){
      return ($scope.form[field].$dirty && $scope.form[field].$error[validation]) || ($scope.submitted && $scope.form[field].$error[validation]);
    }
    return ($scope.form[field].$dirty && $scope.form[field].$invalid) || ($scope.submitted && $scope.form[field].$invalid);
	  };

	$scope.accounts = $personal.result;

	//advance transaction email notification------------------------
  	$scope.dateOffsetOptions = [
		{id:0,desc:"แจ้งเตือนวันที่ครบกำหนด"},
		{id:1,desc:""},
		{id:2,desc:""},
		{id:3,desc:""},
		{id:4,desc:""},
		{id:5,desc:""},
		{id:6,desc:""},
		{id:7,desc:""}
	];
	
	$scope.emailNoti = {
		active: $scope.accounts.email_alert.active,
		offset: $scope.accounts.email_alert.date_offset.toString(),
		activeText: ['ไม่แจ้งเตือน', 'แจ้งเตือน'],
		activeToggle: function(isActive){
			this.active = isActive == 1 ? 0 : 1;
		}
	};
	//---------------------------------------------------------------
	var check = $personal.result.id;
	
	//if(check === null){
		$scope.saveNoti = function(){
			var acc = $scope.personal;
			$scope.checkForm.name = "modal";
			var data = {
				active: $scope.emailNoti.active,
				date_offset: parseInt($scope.emailNoti.offset),
				id: $scope.accounts.id
			};
			$dbService.editNotification(data)
			.then(
				function(dat){
					if(dat.data.success){
						location.reload(true);
					}
				},
				function(xhr,status,error){
					console.log(xhr);
					//alert(error);
				}
			)
		}
	
}); 
