angular.module('MetronicApp').controller('SettingsPersonalCtrl', function($rootScope, $scope, settings, $http, $personal, $getQuery, $dbService, toastr) {
    $scope.$on('$viewContentLoaded', function() {   
        App.initAjax(); // initialize core components
		//Layout.setAngularJsSidebarMenuActiveLink('set', $('#sidebar_menu_link_settings'), $state); // set profile link active in sidebar menu 
		//toastr.info('We are ope# today from 10 to 22', 'Information');
       toastr.info('เรียนรู้เพิ่มเติมเกี่ยวกับตั้งค่าข้อมูลกิจการ โดย<a href="#class?vid=15"> คลิกที่นี่</a>', 'เรียนรู้เพิ่มเติม');
    });
    // set sidebar closed and body solid layout mode
    $rootScope.settings.layout.pageBodySolid = true;
    $rootScope.settings.layout.pageSidebarClosed = false;

	$scope.checkForm = {
		name	:	''
	}
	
	$scope.hasError = function(field, validation){
    if(validation){
      return ($scope.form[field].$dirty && $scope.form[field].$error[validation]) || ($scope.submitted && $scope.form[field].$error[validation]);
    }
    return ($scope.form[field].$dirty && $scope.form[field].$invalid) || ($scope.submitted && $scope.form[field].$invalid);
  };
  
	
	$scope.accounts = $personal.result;	
	$scope.personal = {
        'name'       :  $personal.result.name,
        'address'    :  typeof $personal.result.address == "string" ? 
			{
				addr: $personal.result.address,
				subdistrict: "",
				district: "",
				province: $personal.result.province,
				postcode: "",
			}: 
			$personal.result.address,
        //'province'   :  $personal.result.province,
        'mobile'     :  $personal.result.mobile,
        'tel'        :  $personal.result.telephone,
        'email'      :  $personal.result.email,
        'tax_id'      :  $personal.result.tax_id,
    };

	//alert(JSON.stringify($personal.result.id));
	//console.log($scope.personal);
	var check = $personal.result.id;
	
	//if(check === null){
		$scope.savePersonal = function(){
			if($scope.sessionUserData.packageValid !== true)
			{
				$('#expiredModal').modal({
					backdrop: 'static',
					show: 'true'
				});
			}
			else
			{
				var acc = $scope.personal;
				var name = $scope.personal.name;
				if(name == null||name == ""){
					$scope.checkForm.name = "";
					//alert('กรุณากรอกชื่อกิจการ');
					swal({
						title: 'กรุณากรอกชื่อกิจการ'
						});
				
				}else{
					$scope.checkForm.name = "modal";
					////$dbService.editPersonal('1',acc.Name,acc.Address,acc.Province,acc.Mobile,acc.Tel,acc.Email,acc.tax_id,$scope.sessionUserData.userId,$scope.sessionUserData.userName)
					//var jsonDat = {
					//	id: 1,
					//	personal_settings: acc,
					//	user: {
					//		user_name: $scope.sessionUserData.userName,
					//		mcf_user_id: $scope.sessionUserData.userId
					//	}
					//};
					var jsonDat = {
						id: 1,
						personal_settings : acc,
						user_name: $scope.sessionUserData.userName,
						mcf_user_id: $scope.sessionUserData.userId
					};
					$dbService.editPersonal(jsonDat)
						.success(function(dat1){
						if(!dat1.success){
							alert('Error');
							console.log(dat1);
						}else{
								window.location.reload();
						}
						})
						.error(function(err) {console.log(err);} );
				}	
			}
		}
	
}); 
