angular.module('MetronicApp').controller('SettingsReportsCtrl', function($rootScope, $scope, settings,$http, $personal,$reportSettings,$getQuery, $dbService) {
    $scope.$on('$viewContentLoaded', function() {   
        App.initAjax(); // initialize core components
        //Layout.setAngularJsSidebarMenuActiveLink('set', $('#sidebar_menu_link_settings'), $state); // set profile link active in sidebar menu 
    });

    // set sidebar closed and body solid layout mode
    $rootScope.settings.layout.pageBodySolid = true;
    $rootScope.settings.layout.pageSidebarClosed = false;

	$scope.hasError = function(field, validation){
    if(validation){
      return ($scope.form[field].$dirty && $scope.form[field].$error[validation]) || ($scope.submitted && $scope.form[field].$error[validation]);
    }
    return ($scope.form[field].$dirty && $scope.form[field].$invalid) || ($scope.submitted && $scope.form[field].$invalid);
	  };

	$scope.accounts = $personal.result;

	$scope.reportOptions = $reportSettings.result;
	//$scope.reportOptions = {
	//	'show_levels' : 'lv2_lv3',
	//	'show_hidden' : false,
	//	'show_deleted': true
	//}
	//---------------------------------------------------------------
	$scope.saveReportOptions = function(){
		if($scope.sessionUserData.packageValid !== true)
		{
			$('#expiredModal').modal({
				backdrop: 'static',
				show: 'true'
			});
		}
		else
		{
			var acc = $scope.personal;
			var data = {
				show_levels : $scope.reportOptions.show_levels,
				show_hidden : $scope.reportOptions.show_hidden,
				show_deleted : $scope.reportOptions.show_deleted,
				user_id: $scope.accounts.id
			};
			$dbService.editReportOptions(data)
			.then(
				function(dat){
					if(dat.data.success)
					{
						window.location.reload();
					}
					else
					{
						console.log(dat);
					}
				}
			)
		}
	}
		
}); 
