angular.module('MetronicApp')
.factory('invoiceConfigs', function($http) {
    // supported languages
	var params = {
		vatType: [
			// {id:0, title:"ไม่มี VAT"},
			{id:1, title:"แยก VAT"},
			{id:2, title:"รวม VAT"}
		],
		vatActive: [
			{id:1, title:"มี VAT"},
			{id:0, title:"ไม่มี VAT"}
		],
		vatItemType: [
			{id:0, title:"คำนวณ VAT ทุกรายการสินค้า"},
			{id:1, title:"คำนวณ VAT บางรายการสินค้า"}
		],
		vatRate: 7,
		whtRate: 3,
		whtRateOptions: [
			{name:1, rate:1},
			{name:2, rate:2},
			{name:3, rate:3},
			{name:5, rate:5}
		],
		headerNumberOptions: [
			{id:0, title: "ชื่อ-เลขเริ่มต้น", desc:"INV000001"}
			,{id:1, title: "ปี-เลขเริ่มต้น", desc:"2017000001"}
			,{id:2, title: "ปี-เดือน-เลขเริ่มต้น", desc:"2017090001"}
		],
		whtList: ["invoice","receipt"],
		headerOptions: [
			{id:0, title: "ไม่มี", desc:""}
			,{id:1, title: "ต้นฉบับ", desc:"ต้นฉบับ"}
			,{id:2, title: "สำเนา", desc:"สำเนา"}
		]
	};
	

    return params;
});
