<?php

if($_GET['download'] == "true")
{
	$_SERVER['HTTP_X_REQUESTED_WITH'] = 'xmlhttprequest';
	$_SERVER['HTTP_X_REQUESTED_BY'] = 'mcfapplication';
}
/*===========Include MongoDB connections and settings==========*/
include('collection_lists.php');
/*==========Error Reporting - Uncomment for Debugging only==============*/		
//error_reporting(-1);
//ini_set('display_errors', 1);
		
		
/*===========GET PHP Data==========*/
$business_id = $_GET['business_id'] == "" ? 1 : (int)$_GET['business_id'];
$report_year = $_GET['report_for_year'] == "" ? date("Y") : $_GET['report_for_year'];
$downloadFlag = $_GET['download'] == "" ? "true" : $_GET['download'];
$display_report_type = $_GET['display_report_type'] == "" ? '1' : $_GET['display_report_type'];
$excel_report_format = $_GET['excel_report_format'] == "" ? '3' : $_GET['excel_report_format'];
//$excel_report_format = '2';

$report_start_month = $_GET['report_start_month'] == "" ? date("m") : $_GET['report_start_month'];
$report_end_month = $_GET['report_end_month'] == "" ? date("m",strtotime("+1month")) 	: $_GET['report_end_month'];

$report_start_date = $_GET['report_start_date'] == "" ? date("01-m-Y") : $_GET['report_start_date'];
$report_end_date = $_GET['report_end_date'] == "" ? date("t-m-Y") : $_GET['report_end_date'];

/*===Set display_report_type for testing===*/
if($excel_report_format == '1')
{
	$start_day = strtotime(date("01-01-".$report_year));
	$start_day_formatted = date("d-m-Y",$start_day);
	$end_day = strtotime(date("31-12-".$report_year));
	$end_day_formatted = date("d-m-Y",$end_day);
}
else if ($excel_report_format == '2')
{
	$start_day = strtotime(date("01-".$report_start_month."-".$report_year));
	$start_day_formatted = date("d-m-Y",$start_day);
	$end_day = strtotime(date("t-".$report_end_month."-".$report_year));
	$end_day_formatted = date("d-m-Y",$end_day);
}
else if ($excel_report_format == '3')
{
	$start_day =  strtotime($report_start_date);
	$start_day_formatted = date("d-m-Y",$start_day);
	$end_day = strtotime($report_end_date);
	$end_day_formatted = date("d-m-Y",$end_day);
}

/*=============Get Thai Month Array==================*/
$month_array = array(
			"01"		=>		'ม.ค.',
			"02"		=>		'ก.พ.',
			"03"		=>		'มี.ค.',
			"04"		=>		'เม.ษ.',
			"05"		=>		'พ.ค.',
			"06"		=>		'มิ.ย.',
			"07"		=>		'ก.ค.',
			"08"		=>		'ส.ค.',
			"09"		=>		'ก.ย.',
			"10"		=>		'ต.ค.',
			"11"		=>		'พ.ย.',
			"12"		=>		'ธ.ค.'
	);
$month_column_array = array(
			"01"		=>		'B',
			"02"		=>		'C',
			"03"		=>		'D',
			"04"		=>		'E',
			"05"		=>		'F',
			"06"		=>		'G',
			"07"		=>		'H',
			"08"		=>		'I',
			"09"		=>		'J',
			"10"		=>		'K',
			"11"		=>		'L',
			"12"		=>		'M'
);


/*===========Get Business and Report Settings==========*/
$collection = $client->$dbNameConnector->settings_personal;
$filter  = [ 'business_id' => $business_id];
$cursor = $collection->findOne($filter);
$business_name = $cursor['name'];
$report_levels = isset($cursor['report_settings']['show_levels']) ? $cursor['report_settings']['show_levels'] : "lv2_lv3";
$report_hidden = isset($cursor['report_settings']['show_hidden']) ? $cursor['report_settings']['show_hidden'] : false;
$report_deleted = isset($cursor['report_settings']['show_deleted']) ? $cursor['report_settings']['show_deleted'] : false;

if($display_report_type == '1')
{
	$report_type = array(
		'1' 	=>	'rcv_trans',
		'2'	=>	'exp_trans'
	);
}
else if ($display_report_type == '2')
{
	$report_type = array(
		'1' 	=>	'rcv_adv_trans',
		'2'	=>	'exp_adv_trans'
	);
}

/*================GET MENU HEADERS================*/
$filter  = [ 'business_id' => (int)$business_id];
$lv3_visible = 0;
$lv3_active = 0;
/*=======Filter deleted and hidden menus======*/
if($report_hidden !== true)
{
	$filter['visible'] = 1;
	$lv3_visible = 1;
}
if($report_deleted !== true)
{
	$filter['active'] = 1;
	$lv3_active = 1;
}


$rcvMenu = $client->$dbNameConnector->receivings_menu;
$cursorRcv = $rcvMenu->find($filter);
$rcvMenuHeaders = array();
$rcvMenuNames = array();
foreach($cursorRcv as $doc)
{
	$rcvMenuHeaders[$doc['lv1_menu']][$doc['name']] = array();
	foreach($doc['lv3'] as $lv3)
	{
		if($lv3_active == 1 && (int)$lv3['active'] !== (int)$lv3_active)
		{
			continue;
		}
		if($lv3_visible == 1 && (int)$lv3['visible'] !== (int)$lv3_visible)
		{
			continue;
		}
		$rcvMenuHeaders[$doc['lv1_menu']][$doc['name']][] = array('name'=>$lv3['name'],'lv2_id'=>$doc['mcf_id'],'lv3_id'=>$lv3['mcf_sub_id']);
		$cursorRcvArray[$doc['lv1_menu']][]= array('name' => $lv3['name'], 'id' => $doc['mcf_id'], 'lv3_id' => $lv3['mcf_sub_id']);
	}
	$rcvMenuNames[$doc['lv1_menu']][$doc['mcf_id']] = $doc['name'];
}
$expMenu = $client->$dbNameConnector->expenses_menu;
$cursorExp = $expMenu->find($filter);
$expMenuHeaders = array();
$expMenuNames = array();
foreach($cursorExp as $doc)
{
	$expMenuHeaders[$doc['lv1_menu']][$doc['name']] = array();
	foreach($doc['lv3'] as $lv3)
	{
		if($lv3_active == 1 && (int)$lv3['active'] !== (int)$lv3_active)
		{
			continue;
		}
		if($lv3_visible == 1 && (int)$lv3['visible'] !== (int)$lv3_visible)
		{
			continue;
		}
		$expMenuHeaders[$doc['lv1_menu']][$doc['name']][] = array('name'=>$lv3['name'],'lv2_id'=>$doc['mcf_id'],'lv3_id'=>$lv3['mcf_sub_id']);
		$cursorExpArray[$doc['lv1_menu']][] = array('name' => $lv3['name'], 'id' => $doc['mcf_id'], 'lv3_id' => $lv3['mcf_sub_id']);
	}
	$expMenuNames[$doc['lv1_menu']][$doc['mcf_id']] = $doc['name'];
}


/*====================Data Query==================*/
$filter  = [ 'business_id' => $business_id, 'trans_date' => ['$gte'=>$start_day,'$lte'=>$end_day] ];
if($report_deleted !== true)
{
	$filter['visible'] = 1;
}
$options = ['sort' => ['mcf_trans_id' => 1]];

$trans_menu_rcv = $collection_menu_types[$report_type[1]];
$trans_menu_exp = $collection_menu_types[$report_type[2]];

$rcv_collection = $client->$dbNameConnector->$trans_menu_rcv;

$cursor = $rcv_collection->find($filter,$options);

$summaryCashflow = array( 
	'cfo'	=>	array('summary' => 0, 'summary_forecast' => 0),
	'cff'	=>	array('summary' => 0, 'summary_forecast' => 0),
	'cfi'	=>	array('summary' => 0, 'summary_forecast' => 0),
	'period'	=>	array()
);
	
$rcvMenuQuery = array( 'period' => array() );
foreach ($cursor as $doc) {
	$headerCheck = 0;
	if(array_key_exists($doc['lv2_name'],$rcvMenuHeaders[$doc['lv1_menu']]))
	{
		foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $docKey=>$docVal)
		{
			if((int)$docVal['lv2_id'] == (int)$doc['lv2_id'] && (int)$docVal['lv3_id'] == (int)$doc['lv3'])
			{
				$headerCheck++;
				$lv3NewName = $docVal['name'];
			}
		}
	}
	if($headerCheck > 0)
	{
		$doc['lv3_name'] == $lv3NewName;
		if($excel_report_format == "3")
		{
			if(array_key_exists($doc['lv2_name'],$rcvMenuQuery['period'][$doc['lv1_menu']]))
			{	
				if($rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] == $doc['lv2_id'])
				{
					$new_val_substring = str_replace(",","",$doc['trans_val']);
					$new_val = floatval($new_val_substring);
					$current_val = $rcvMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']]['lv2_val'];
					$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = floatval(bcadd($current_val,$new_val,2));
					if(array_key_exists($doc['lv3_name'],$rcvMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']]))
					{
						if(isset($rcvMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]))
						{
							$current_lv3_val = floatval($rcvMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]);
							$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval(bcadd($current_lv3_val,$new_val,2));
						}
						else
						{
							$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
						}
					}
					else
					{
						$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
					}
					foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
					{	
						if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
						{
								$current_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['summary']);
								$current_lv2_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['rcv'][$doc['lv2_id']]);
								$summaryCashflow['period'][$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));	
								$summaryCashflow['period'][$doc['lv1_menu']]['rcv'][$doc['lv2_id']] = floatval(bcadd($current_lv2_summary_val,$new_val,2));
								$total_summary = floatval($summaryCashflow['period']['total_summary']);
								$summaryCashflow['period']['total_summary'] = floatval(bcadd($total_summary,$new_val,2));
						}
					}
				}
				else
				{
					$new_val_substring = str_replace(",","",$doc['trans_val']);
					$new_val = floatval($new_val_substring);
					$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
					$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
					$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
					
					foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
					{	
						if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
						{
								$current_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['summary']);
								$current_lv2_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['rcv'][$doc['lv2_id']]);
								$summaryCashflow['period'][$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));
								$summaryCashflow['period'][$doc['lv1_menu']]['rcv'][$doc['lv2_id']] = floatval(bcadd($current_lv2_summary_val,$new_val,2));
								$total_summary = floatval($summaryCashflow['period']['total_summary']);
								$summaryCashflow['period']['total_summary'] = floatval(bcadd($total_summary,$new_val,2));
						}
					}
				}
			}
			else 
			{
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
				$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
				$rcvMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
		
				foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
				{	
					if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
					{
							$current_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['summary']);
							$current_lv2_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['rcv'][$doc['lv2_id']]);
							$summaryCashflow['period'][$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));
							$summaryCashflow['period'][$doc['lv1_menu']]['rcv'][$doc['lv2_id']] = floatval(bcadd($current_lv2_summary_val,$new_val,2));
							$total_summary = floatval($summaryCashflow['period']['total_summary']);
							$summaryCashflow['period']['total_summary'] = floatval(bcadd($total_summary,$new_val,2));
					}
				}
			}
		}
		else
		{
			$month = date("m",$doc['trans_date']);
			
			if(array_key_exists($month,$rcvMenuQuery))
			{
				if(array_key_exists($doc['lv2_name'],$rcvMenuQuery[$month][$doc['lv1_menu']]))
				{	
					if($rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] == $doc['lv2_id'])
					{
						$new_val_substring = str_replace(",","",$doc['trans_val']);
						$new_val = floatval($new_val_substring);
						$current_val = $rcvMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']]['lv2_val'];
						$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = floatval(bcadd($current_val,$new_val,2));
						if(array_key_exists($doc['lv3_name'],$rcvMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']]))
						{
							if(isset($rcvMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]))
							{
								$current_lv3_val = floatval($rcvMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]);
								$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval(bcadd($current_lv3_val,$new_val,2));
							}
							else
							{
								$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
							}
						}
						else
						{
							$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
						}
						foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
						{	
							if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
							{
									$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
									$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']]);
									$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));	
									$summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']] = floatval(bcadd($current_lv2_summary_val,$new_val,2));	
							}
						}
					}
					else
					{
						$new_val_substring = str_replace(",","",$doc['trans_val']);
						$new_val = floatval($new_val_substring);
						$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
						$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
						$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
						
						foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
						{	
							if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
							{
									$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
									$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']]);
									$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));
									$summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']] = floatval(bcadd($current_lv2_summary_val,$new_val,2));
							}
						}
					}
				}
				else 
				{
					$new_val_substring = str_replace(",","",$doc['trans_val']);
					$new_val = floatval($new_val_substring);
					$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
					$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
					$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
		
					foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
					{	
						if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
						{
								$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
								$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']]);
								$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));
								$summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']] = floatval(bcadd($current_lv2_summary_val,$new_val,2));
						}
					}
				}
			}
			else
			{
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
				$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
				$rcvMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = $new_val;
		
				foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
				{	
					if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
					{
						$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
						$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']]);
						$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));
						$summaryCashflow[$month][$doc['lv1_menu']]['rcv'][$doc['lv2_id']] = $new_val;
					}
				}
			}
		}
	}
}
$expMenuQuery = array( 'period' => array() );
$exp_collection = $client->$dbNameConnector->$trans_menu_exp;
$cursor = $exp_collection->find($filter,$options);

foreach ($cursor as $doc) {
	$headerCheck = 0;
	if(array_key_exists($doc['lv2_name'],$expMenuHeaders[$doc['lv1_menu']]))
	{
		foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $docKey=>$docVal)
		{
			if((int)$docVal['lv2_id'] == (int)$doc['lv2_id'] && (int)$docVal['lv3_id'] == (int)$doc['lv3'])
			{
				$headerCheck++;
				$lv3NewName = $docVal['name'];
			}
		}
	}
	if($headerCheck > 0)
	{
		$doc['lv3_name'] = $lv3NewName;
		if($excel_report_format == "3")
		{
			if(array_key_exists($doc['lv2_name'],$expMenuQuery['period'][$doc['lv1_menu']]))
			{	
				if($expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] == $doc['lv2_id'])
				{
					$new_val_substring = str_replace(",","",$doc['trans_val']);
					$new_val = floatval($new_val_substring);
					$current_val = $expMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']]['lv2_val'];
					$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = floatval(bcadd($current_val,$new_val,2));
					if(array_key_exists($doc['lv3_name'],$expMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']]))
					{
						if(isset($expMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]))
						{
							$current_lv3_val = floatval($expMenuQuery['period'][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]);
							$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval(bcadd($current_lv3_val,$new_val,2));
						}
						else
						{
							$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
						}
					}
					else
					{
						$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
					}
					foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
					{	
						if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
						{
								$current_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['summary']);
								$current_lv2_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['exp'][$doc['lv2_id']]);
								$summaryCashflow['period'][$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));	
								$summaryCashflow['period'][$doc['lv1_menu']]['exp'][$doc['lv2_id']] = floatval(bcsub($current_lv2_summary_val,$new_val,2));	
								$total_summary = floatval($summaryCashflow['period']['total_summary']);
								$summaryCashflow['period']['total_summary'] = floatval(bcsub($total_summary,$new_val,2));
						}
					}
				}
				else
				{
					$new_val_substring = str_replace(",","",$doc['trans_val']);
					$new_val = floatval($new_val_substring);
					$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
					$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
					$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
					
					foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
					{	
						if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
						{
								$current_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['summary']);
								$current_lv2_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['exp'][$doc['lv2_id']]);
								$summaryCashflow['period'][$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));
								$summaryCashflow['period'][$doc['lv1_menu']]['exp'][$doc['lv2_id']] = floatval(bcsub($current_lv2_summary_val,$new_val,2));
								$total_summary = floatval($summaryCashflow['period']['total_summary']);
								$summaryCashflow['period']['total_summary'] = floatval(bcsub($total_summary,$new_val,2));
						}
					}
				}
			}
			else 
			{
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
				$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
				$expMenuQuery['period'][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
		
				foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
				{	
					if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
					{
							$current_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['summary']);
							$current_lv2_summary_val = floatval($summaryCashflow['period'][$doc['lv1_menu']]['exp'][$doc['lv2_id']]);
							$summaryCashflow['period'][$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));
							$summaryCashflow['period'][$doc['lv1_menu']]['exp'][$doc['lv2_id']] = floatval(bcsub($current_lv2_summary_val,$new_val,2));
							$total_summary = floatval($summaryCashflow['period']['total_summary']);
							$summaryCashflow['period']['total_summary'] = floatval(bcsub($total_summary,$new_val,2));
					}
				}
			}
		}
		else
		{
			$month = date("m",$doc['trans_date']);
			
			if(array_key_exists($month,$expMenuQuery))
			{
				if(array_key_exists($doc['lv2_name'],$expMenuQuery[$month][$doc['lv1_menu']]))
				{	
					if($expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] == $doc['lv2_id'])
					{
						$new_val_substring = str_replace(",","",$doc['trans_val']);
						$new_val = floatval($new_val_substring);
						$current_val = $expMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']]['lv2_val'];
						$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = floatval(bcadd($current_val,$new_val,2));
						if(array_key_exists($doc['lv3_name'],$expMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']]))
						{
							if(isset($expMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]))
							{
								$current_lv3_val = floatval($expMenuQuery[$month][$doc['lv1_menu']][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']]);
								$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval(bcadd($current_lv3_val,$new_val,2));
							}
							else
							{
								$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
							}
						}
						else
						{
							$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
						}
						foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
						{	
							if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
							{
								$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
								$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']]);
								$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));	
								$summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']] = floatval(bcsub($current_lv2_summary_val,$new_val,2));
							}
						}
					}
					else
					{
						$new_val_substring = str_replace(",","",$doc['trans_val']);
						$new_val = floatval($new_val_substring);
						$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
						$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
						$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
						foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
						{	
							if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
							{
								$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
								$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']]);
								$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));
								$summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']] = floatval(bcsub($current_lv2_summary_val,$new_val,2));
							}
						}
					}	
				}
				else 
				{
					$new_val_substring = str_replace(",","",$doc['trans_val']);
					$new_val = floatval($new_val_substring);
					$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
					$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
					$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = floatval($new_val);
					foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
					{	
						if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
						{
							$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
							$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']]);
							$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));
							$summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']] = floatval(bcsub($current_lv2_summary_val,$new_val,2));
						}
					}
				}
			}
			else
			{
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_val'] = $new_val;
				$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']]['lv2_id'] = $doc['lv2_id'];
				$expMenuQuery[$month][($doc['lv1_menu'])][$doc['lv2_name']][$doc['lv3_name']][$doc['lv3']] = $new_val;
				
				foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $key=>$val)
				{	
					if($val['lv2_id'] == $doc['lv2_id'] && $val['lv3_id'] == $doc['lv3'])
					{
						$current_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['summary']);
						$current_lv2_summary_val = floatval($summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']]);
						$summaryCashflow[$month][$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));
						$summaryCashflow[$month][$doc['lv1_menu']]['exp'][$doc['lv2_id']] = $new_val;
					}
				}
			}
		}
	}
}

$queryFilter = $filter;

$summCash = array();
$summAll = array();
for($i=1;$i<=12;$i++)
{
	$keyI = str_pad($i, 2, "0", STR_PAD_LEFT);
	$summaryCashflow[$keyI]['total_summary'] = $summaryCashflow[$keyI]['cfo']['summary']+$summaryCashflow[$keyI]['cfi']['summary']+$summaryCashflow[$keyI]['cff']['summary'];
}

$summKey = array();
ksort($summaryCashflow);
$prev_key = "";
foreach ($summaryCashflow as $key=>$value)
{
	if($key !== "cfo" && $key !== "cfi" && $key !== "cff")
	{
		$summCash[$key]['total_summary'] = $summaryCashflow[$key]['cfo']['summary']+$summaryCashflow[$key]['cfi']['summary']+$summaryCashflow[$key]['cff']['summary'];
		if($prev_key !== "")
		{
			$summAll[$key] = bcadd($summCash[$key]['total_summary'],$summAll[$prev_key]);
		}
		else
		{
			$summAll[$key] = $summCash[$key]['total_summary'];
		}
		$prev_key = $key;
		array_push($summKey,$key);
	}
}

//================== Array for BI Reporting =====================
$periodSummaryBI = array(
	'cfo'=>array(
			'summary'	=> 0.00,
			'top'	=> array(
			)
		),
	'cff'=>array(
			'summary'	=> 0.00,
			'top'	=> array(
			)
		),
	'cfi'=>array(
			'summary'	=> 0.00,
			'top'	=> array(
			)
		),
	'total'=>array(
			'summary'	=> 	0.00,
			'rcv'	=>	0.00,
			'exp'	=>	0.00
		)
	);
	
//=====Compare function for sorting by lv2_val
function cmp($a, $b)
{
    //return strcmp($a['lv2_val'], $b['lv2_val']);
    return $a['lv2_val'] < $b['lv2_val'];
}

//==================CFO=====================
	//=========RCV===========
	if(isset($summaryCashflow['period']['cfo']['rcv']))
	{
		foreach($summaryCashflow['period']['cfo']['rcv'] as $cfoKey=>$cfoValue)
		{
			$periodSummaryBI['cfo']['summary'] += $cfoValue;
			$periodSummaryBI['cfo']['rcv'] += $cfoValue;
			$periodSummaryBI['total']['summary'] += $cfoValue;
			$periodSummaryBI['total']['rcv'] += $cfoValue;
		}

		$tempCFORcvSorting = new StdClass();
		$tempCFORcvSorting = $rcvMenuQuery['period']['cfo'];
		usort($tempCFORcvSorting,"cmp");
		
		$maxRankingLimit = 3;
		$rcvSize = sizeof($tempCFORcvSorting);
		
		$loopLimit = $rcvSize > $maxRankingLimit ? $maxRankingLimit : $rcvSize;
		$startRcvRankLoop = 0;
		foreach($tempCFORcvSorting as $key => $val)
		{
			if($startRcvRankLoop == $loopLimit)
			{
				break;
			}
			else
			{
				$menuName = $rcvMenuNames['cfo'][$val['lv2_id']];
				$val["menu_name"] = $menuName;
				$periodSummaryBI['cfo']['top']['rcv'][] = $val;
			}
		}
	}
	else
	{
		$periodSummaryBI['cfo']['summary'] = 0.00;
		$periodSummaryBI['cfo']['rcv'] = 0.00;
		$periodSummaryBI['total']['summary'] = 0.00;
		$periodSummaryBI['total']['rcv'] = 0.00;
	}
	//=========EXP===========
	if(isset($summaryCashflow['period']['cfo']['exp']))
	{
		foreach($summaryCashflow['period']['cfo']['exp'] as $cfoKey=>$cfoValue)
		{
			$periodSummaryBI['cfo']['summary'] += $cfoValue;
			$periodSummaryBI['cfo']['exp'] -= $cfoValue;
			$periodSummaryBI['total']['summary'] += $cfoValue;
			$periodSummaryBI['total']['exp'] -= $cfoValue;
		}

		$tempCFOExpSorting = new StdClass();
		$tempCFOExpSorting = $expMenuQuery['period']['cfo'];
		usort($tempCFOExpSorting,"cmp");
		
		$maxRankingLimit = 3;
		$expSize = sizeof($tempCFOExpSorting);
		
		$loopLimit = $expSize > $maxRankingLimit ? $maxRankingLimit : $expSize;
		$startExpRankLoop = 0;
		foreach($tempCFOExpSorting as $key => $val)
		{
			if($startExpRankLoop == $loopLimit)
			{
				break;
			}
			else
			{
				$menuName = $expMenuNames['cfo'][$val['lv2_id']];
				$val["menu_name"] = $menuName;
				$periodSummaryBI['cfo']['top']['exp'][] = $val;
			}
		}
	}
	else
	{
		//$periodSummaryBI['cfo']['summary'] = 0.00;
		$periodSummaryBI['cfo']['exp'] = 0.00;
		//$periodSummaryBI['total']['summary'] = 0.00;
		$periodSummaryBI['total']['exp'] = 0.00;
	}
//==================CFF=====================
	//=========RCV===========
	if(isset($summaryCashflow['period']['cff']['rcv']))
	{
		foreach($summaryCashflow['period']['cff']['rcv'] as $cfoKey=>$cfoValue)
		{
			$periodSummaryBI['cff']['summary'] += $cfoValue;
			$periodSummaryBI['cff']['rcv'] += $cfoValue;
			$periodSummaryBI['total']['summary'] += $cfoValue;
			$periodSummaryBI['total']['rcv'] += $cfoValue;
		}
		
		$tempCFFRcvSorting = new StdClass();
		$tempCFFRcvSorting = $rcvMenuQuery['period']['cff'];
		usort($tempCFFRcvSorting,"cmp");
		
		$maxRankingLimit = 3;
		$rcvSize = sizeof($tempCFFRcvSorting);
		
		$loopLimit = $rcvSize > $maxRankingLimit ? $maxRankingLimit : $rcvSize;
		$startRcvRankLoop = 0;
		foreach($tempCFFRcvSorting as $key => $val)
		{
			if($startRcvRankLoop == $loopLimit)
			{
				break;
			}
			else
			{
				$menuName = $rcvMenuNames['cff'][$val['lv2_id']];
				$val["menu_name"] = $menuName;
				$periodSummaryBI['cff']['top']['rcv'][] = $val;
			}
		}
	}
	else
	{
		$periodSummaryBI['cff']['summary'] = 0.00;
		$periodSummaryBI['cff']['rcv'] = 0.00;
	}
	//=========EXP===========
	if(isset($summaryCashflow['period']['cff']['exp']))
	{
		foreach($summaryCashflow['period']['cff']['exp'] as $cfoKey=>$cfoValue)
		{
			$periodSummaryBI['cff']['summary'] += $cfoValue;
			$periodSummaryBI['cff']['exp'] -= $cfoValue;
			$periodSummaryBI['total']['summary'] += $cfoValue;
			$periodSummaryBI['total']['exp'] -= $cfoValue;
		}
		
		$tempCFFExpSorting = new StdClass();
		$tempCFFExpSorting = $expMenuQuery['period']['cff'];
		usort($tempCFFExpSorting,"cmp");
		
		$maxRankingLimit = 3;
		$expSize = sizeof($tempCFFExpSorting);
		
		$loopLimit = $expSize > $maxRankingLimit ? $maxRankingLimit : $expSize;
		$startExpRankLoop = 0;
		foreach($tempCFFExpSorting as $key => $val)
		{
			if($startExpRankLoop == $loopLimit)
			{
				break;
			}
			else
			{
				$menuName = $expMenuNames['cff'][$val['lv2_id']];
				$val["menu_name"] = $menuName;
				$periodSummaryBI['cff']['top']['exp'][] = $val;
			}
		}
	}
	else
	{
		$periodSummaryBI['cff']['summary'] = 0.00;
		$periodSummaryBI['cff']['exp'] = 0.00;
	}

//==================CFI=====================
	//=========RCV===========
	if(isset($summaryCashflow['period']['cfi']['rcv']))
	{
		foreach($summaryCashflow['period']['cfi']['rcv'] as $cfoKey=>$cfoValue)
		{
			$periodSummaryBI['cfi']['summary'] += $cfoValue;
			$periodSummaryBI['cfi']['rcv'] += $cfoValue;
			$periodSummaryBI['total']['summary'] += $cfoValue;
			$periodSummaryBI['total']['exp'] += $cfoValue;
		}

		$tempCFIRcvSorting = new StdClass();
		$tempCFIRcvSorting = $rcvMenuQuery['period']['cfi'];
		usort($tempCFIRcvSorting,"cmp");
		
		$maxRankingLimit = 3;
		$rcvSize = sizeof($tempCFIRcvSorting);
		
		$loopLimit = $rcvSize > $maxRankingLimit ? $maxRankingLimit : $rcvSize;
		$startRcvRankLoop = 0;
		foreach($tempCFIRcvSorting as $key => $val)
		{
			if($startRcvRankLoop == $loopLimit)
			{
				break;
			}
			else
			{
				$menuName = $rcvMenuNames['cfi'][$val['lv2_id']];
				$val["menu_name"] = $menuName;
				$periodSummaryBI['cfi']['top']['rcv'][] = $val;
			}
		}
	}
	else
	{
		$periodSummaryBI['cfi']['summary'] = 0.00;
		$periodSummaryBI['cfi']['rcv'] = 0.00;
	}
	//=========EXP===========
	if(isset($summaryCashflow['period']['cfi']['exp']))
	{
		foreach($summaryCashflow['period']['cfi']['exp'] as $cfoKey=>$cfoValue)
		{
			$periodSummaryBI['cfi']['summary'] += $cfoValue;
			$periodSummaryBI['cfi']['exp'] -= $cfoValue;
			$periodSummaryBI['total']['summary'] += $cfoValue;
			$periodSummaryBI['total']['exp'] -= $cfoValue;
		}
		$tempCFIExpSorting = new StdClass();
		$tempCFIExpSorting = $expMenuQuery['period']['cfi'];
		usort($tempCFIExpSorting,"cmp");
		
		$maxRankingLimit = 3;
		$expSize = sizeof($tempCFIExpSorting);
		
		$loopLimit = $expSize > $maxRankingLimit ? $maxRankingLimit : $expSize;
		$startExpRankLoop = 0;
		foreach($tempCFIExpSorting as $key => $val)
		{
			if($startExpRankLoop == $loopLimit)
			{
				break;
			}
			else
			{
				$menuName = $expMenuNames['cfi'][$val['lv2_id']];
				$val["menu_name"] = $menuName;
				$periodSummaryBI['cfi']['top']['exp'][] = $val;
			}
		}
	}
	else
	{
		$periodSummaryBI['cfi']['summary'] = 0.00;
		$periodSummaryBI['cfi']['exp'] = 0.00;
	}


date_default_timezone_set('Asia/Bangkok'); 

require  '../../Classes/PHPExcel.php';
if (PHP_SAPI == 'cli')
	die('This example should only be run from a Web Browser');

use PhpOffice\PhpSpreadsheet\Cell\DataType;
use PhpOffice\PhpSpreadsheet\Style\Alignment;
use PhpOffice\PhpSpreadsheet\Style\Border;
use PhpOffice\PhpSpreadsheet\Style\Color;

// Create new PHPExcel object
$objPHPExcel = new PHPExcel();
$excelFileName = date("d-m-Y")."_".$business_name."_".$report_year.".xlsx";
$excelFileName2 = date("d-m-Y")."_".$business_name."_".$report_year."-".strtotime('now').".xlsx";

//print_r($excel_report_format);
//exit;

// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$excelFileName.'"');
header('Cache-Control: max-age=0');

// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');

// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

// Set document properties
$objPHPExcel->getProperties()->setCreator("MyCashFlow System")
							 ->setLastModifiedBy("MyCashFlow System")
							 ->setTitle("Office 2007 Cashflow Summary Report")
							 ->setSubject("Office 2007 Cashflow Summary Report")
							 ->setDescription("Document for Office 2007 XLSX, generated by MyCashFlow.")
							 ->setKeywords("office 2007 openxml php")
							 ->setCategory("Business Cashflow Summary");
$rowNum = 1;
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'รายงานกระแสเงินสด');
$objPHPExcel->getActiveSheet()->getStyle('A1')->getFont()->setBold(true);						 
$objPHPExcel->getActiveSheet()->getStyle('A1')->getFont()->setSize(20);						 
$rowNum++;
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $business_name);
$rowNum++;

/*===================Include report view type=======================*/
if($excel_report_format == "1" )   //Yearly Summary (12 months)
{
	include('partial_reports/yearly_summary.php');
}
elseif ($excel_report_format == "2")   //Period Summary (by months)
{
	include('partial_reports/monthly_summary.php');
} 
elseif ($excel_report_format == "3")   //Single row Summary (1 period/month)
{
	include('partial_reports/single_row_summary.php');
}
// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);

//Create file and sent to output
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
//$objWriter->save('php://output');
//$objWriter->save('/opt/bitnami/apache2/htdocs/uploads/'.$excelFileName2);
if($downloadFlag == "true")
{
	$objWriter->save('php://output');
	exit; 
}
else if($downloadFlag == "false")
{
	//$objWriter->save('/opt/bitnami/apache2/htdocs/uploads/'.$excelFileName2);
	bcscale(5);
	$contentData = "<h2 class='center'>กระแสเงินสดสุทธิ</h2>";
	$contentData .= "<h4 class='center'>".$business_name."</h4> ";
	$contentData .= "<p class='center'>สำหรับช่วงเวลา ".$start_day_formatted." ถึง ".$end_day_formatted."</p>";
	$contentData .= "<div class='BI-content-text'>";
	$contentData .= "<p>กระแสเงินสดสุทธิ ";
	$contentData .= $periodSummaryBI['total']['summary'] >= 0 ? "<span class='BI-content-text-green'>เพิ่มขึ้น  " : "<span class='BI-content-text-red'>น้อยลง ";
	$contentData .= number_format(abs($periodSummaryBI['total']['summary']),2)."</span> บาท";
	
	$contentData .= " เป็นการ";
	$contentData .= $periodSummaryBI['cfo']['summary'] >= 0 ? " <span class='BI-content-text-green'>เพิ่มขึ้น</span> " : " <span class='BI-content-text-red'>น้อยลง</span> ";
	$contentData .= "จากกิจกรรมดำเนินงาน จำนวน ";
	$contentData .= $periodSummaryBI['cfo']['summary'] >= 0 ? "<span class='BI-content-text-green'>" : "<span class='BI-content-text-red'>";
	$contentData .= number_format(abs($periodSummaryBI['cfo']['summary']),2)."</span> บาท";
	$contentData .= " โดยมีการรับเงินระหว่างเดือนทั้งสิ้น <span class='BI-content-text-green'>";
	$contentData .= number_format(abs($periodSummaryBI['cfo']['rcv']),2);
	$contentData .= "</span> บาท";
	
	if(isset($periodSummaryBI['cfo']['top']['rcv']))
	{
		$contentData .= " มาจาก ".$periodSummaryBI['cfo']['top']['rcv'][0]['menu_name']." เป็นเงิน <span class='BI-content-text-green'>".number_format($periodSummaryBI['cfo']['top']['rcv'][0]['lv2_val'],2)."</span> บาท คิดเป็น  <span class='BI-content-text-green'>".number_format(bcmul(bcdiv($periodSummaryBI['cfo']['top']['rcv'][0]['lv2_val'],$periodSummaryBI['cfo']['rcv']),100.00),2)."%</span>";
		if(isset($periodSummaryBI['cfo']['top']['rcv'][1]))
		{
			$contentData .= " รองลงมาประกอบด้วย ".$periodSummaryBI['cfo']['top']['rcv'][1]['menu_name']." เป็นเงิน <span class='BI-content-text-green'>".number_format($periodSummaryBI['cfo']['top']['rcv'][1]['lv2_val'],2)."</span> บาท คิดเป็น <span class='BI-content-text-green'>".number_format(bcmul(bcdiv($periodSummaryBI['cfo']['top']['rcv'][1]['lv2_val'],$periodSummaryBI['cfo']['rcv']),100.00),2)." %</span>";
			if(isset($periodSummaryBI['cfo']['top']['rcv'][2]))
			{
				$contentData .= " และ ".$periodSummaryBI['cfo']['top']['rcv'][2]['menu_name']." เป็นเงิน <span class='BI-content-text-green'>".number_format($periodSummaryBI['cfo']['top']['rcv'][2]['lv2_val'],2)."</span> บาท คิดเป็น <span class='BI-content-text-green'>".number_format(bcmul(bcdiv($periodSummaryBI['cfo']['top']['rcv'][2]['lv2_val'],$periodSummaryBI['cfo']['rcv']),100.00),2)." %</span> ตามลำดับ</p>";
			}
			else
			{
				$contentData .= " ตามลำดับ</p>";
			}
		}
		else
		{
			$contentData .= "</p>";
		}
	}
	
	if(isset($periodSummaryBI['cfo']['top']['exp']))
	{
		$contentData .= "<p>ในด้านรายจ่ายเพื่อกิจกรรมดำเนินงาน <span class='BI-content-text-red'>".number_format(bcmul(bcdiv($periodSummaryBI['cfo']['top']['exp'][0]['lv2_val'],$periodSummaryBI['cfo']['exp']),100.00),2)."%</span> เป็นการจ่ายเพื่อ อาหาร เป็นเงิน <span class='BI-content-text-red'>".number_format($periodSummaryBI['cfo']['top']['exp'][0]['lv2_val'],2)."</span> บาท";
	}

	if(isset($periodSummaryBI['cfi']['top']['exp']))
	{
		$contentData .= " นอกจากนี้ ในระหว่างเดือน ได้มีการจ่ายลงทุนไปทั้งสิ้น <span class='BI-content-text-red'>".number_format(abs($periodSummaryBI['cfi']['summary']),2)."</span> บาท";
		$contentData .= " เพื่อ ".$periodSummaryBI['cfi']['top']['exp'][0]['menu_name']." จำนวนเงิน <span class='BI-content-text-red'>".number_format($periodSummaryBI['cfi']['top']['exp'][0]['lv2_val'],2)."</span> บาท คิดเป็น <span class='BI-content-text-red'>".number_format(bcmul(bcdiv($periodSummaryBI['cfi']['top']['exp'][0]['lv2_val'],$periodSummaryBI['cfi']['exp']),100.00),2)."%</span> ของเงินลงทุนทั้งหมด</p>";
	}
	
	
	if(isset($periodSummaryBI['cff']['top']['rcv']))
	{
		$contentData .= "<p>ในด้านของการจัดหาเงินนั้น กิจการได้มีการจัดหาเงินจำนวน <span class='BI-content-text-green'>".number_format(abs($periodSummaryBI['cff']['summary']),2)."</span> บาท";
		$contentData .= " โดยเป็นการจัดหาเงินจาก ".$periodSummaryBI['cff']['top']['rcv'][0]['menu_name']." จำนวน <span class='BI-content-text-green'>".number_format($periodSummaryBI['cff']['top']['rcv'][0]['lv2_val'],2)."</span> บาท คิดเป็น <span class='BI-content-text-green'>".number_format(bcmul(bcdiv($periodSummaryBI['cff']['top']['rcv'][0]['lv2_val'],$periodSummaryBI['cff']['rcv']),100.00),2)."%</span> ";
		if(isset($periodSummaryBI['cff']['top']['rcv'][1]))
		{
			$contentData .= ", ".$periodSummaryBI['cff']['top']['rcv'][1]['menu_name']." จำนวน <span class='BI-content-text-green'>".number_format($periodSummaryBI['cff']['top']['rcv'][1]['lv2_val'],2)."</span> บาท คิดเป็น <span class='BI-content-text-green'>".number_format(bcmul(bcdiv($periodSummaryBI['cff']['top']['rcv'][1]['lv2_val'],$periodSummaryBI['cff']['rcv']),100.00),2)."%</span>";
		}
	}
	else
	{
		$contentData .= "<p>";
	}
	
	if(isset($periodSummaryBI['cff']['top']['exp']))
	{
		$contentData .= " และมีการจ่ายคืนเงิน เพื่อ ".$periodSummaryBI['cff']['top']['exp'][0]['menu_name']."  จำนวน <span class='BI-content-text-red'>".number_format($periodSummaryBI['cff']['top']['exp'][0]['lv2_val'],2)."</span> บาท คิดเป็น <span class='BI-content-text-red'>".number_format(bcmul(bcdiv($periodSummaryBI['cff']['top']['exp'][0]['lv2_val'],$periodSummaryBI['cff']['exp']),100.00),2)."%</span> ";
		if(isset($periodSummaryBI['cff']['top']['rcv'][1]))
		{
			$contentData .= "  ".$periodSummaryBI['cff']['top']['exp'][1]['menu_name']." จำนวน <span class='BI-content-text-red'>".number_format($periodSummaryBI['cff']['top']['exp'][1]['lv2_val'],2)."</span> บาท คิดเป็น <span class='BI-content-text-red'>".number_format(bcmul(bcdiv($periodSummaryBI['cff']['top']['exp'][1]['lv2_val'],$periodSummaryBI['cff']['exp']),100.00),2)."%</span>";
		}
	}
	
	$contentData .= "</p>";
	$contentData .= "<p class='right'><i>ออก ณ วันที่ ".date('d-m-Y H:i:s')."</i></p>";
	$contentData .= "<p class='right'><i>จัดทำโดยโปรแกรม MyCashFlow</i></p></div> ";
	
	echo json_encode(array('success'=>true,'rcvMenuName'=>$rcvMenuNames,'tempRcv'=>$tempCFORcvSorting,'periodSummaryBI'=>$periodSummaryBI,'summarycheck'=>$summaryCashflow,'rcvHeader'=>$rcvMenuHeaders,'expHeader'=>$expMenuHeaders,'excel_report_format'=>$excel_report_format,'rcv'=>$rcvMenuQuery,'exp'=>$expMenuQuery,'summary'=>$summaryCashflow,'summAll'=>$summAll,'reportStartMonth'=>$report_start_month,'reportEndMonth'=>$report_end_month,'content'=>$contentData));
}

// Done!
exit;
?>