<?php
include('collection_lists.php');

/* $raw_input = file_get_contents("php://input");
$input = json_decode($raw_input); */
/* error_reporting(E_ALL);
ini_set('display_errors', 1); */
$success = true;
$input = (array)json_decode($_POST['jsonData']);
$id = $input['mongoId'];
$doc_id = $input['docId'];
$type = $input['type'];
$cashflow = $input['updateCashflow'];									 
$collection = $client->$dbNameConnector->{$type};
//echo json_encode(['success'=>isset($id)]);exit;

$filter  = isset($id) ? [ '_id' => new MongoDB\BSON\ObjectID("$id")] : [ 'summary.number' => $doc_id ];
$update = [
	'$set' => [
		"summary" => (array)$input['summary'],
		"item_list" => (array)$input['itemList'],
		"customer_detail" => (array)$input['customer'],
		"update_date"=>date("Y-m-d H:i:s"), 
		"update_user" => (array)$input['user']
	]
];

$updateResult = $collection->updateOne($filter,$update);
$success &= $updateResult->getMatchedCount();

if( $cashflow ){
	$trans_id = $input['summary']->cashflow->trans_id;
	$menu_type = $type === 'income_documents' ? 'receivings_trans' : 'expenses_trans';
	$collection = $client->$dbNameConnector->{$menu_type};
	$filter  = [ '_id' => new MongoDB\BSON\ObjectID("$trans_id")];
	$update = ['$set'=> []];
	foreach( $cashflow as $key => $value ){
		if($value){
			$update['$set']["$key"] = $key == "trans_date" ? strtotime($value) : $value;
		}
	}
	$updateResult = $collection->updateOne($filter,$update);
	$success &= $updateResult->getMatchedCount();
}			 
echo json_encode(['success'=>$success]);
?>