<?php
include('collection_lists.php');

$inputs = file_get_contents("php://input");
$dat = json_decode($inputs);

$collection_users = $client->$dbNameConnector->users;
$findFilter = ['user_id' => (int)$dat->user_id, 'business_id' => 1];
$userResult = $collection_users->findOne($findFilter);

$editUser = $userResult->first_name.' '.$userResult->last_name;
$curDate = date("d-m-Y H:i:s");

$collection = $client->$dbNameConnector->settings_personal;
$filter = ['mcf_personal_id' => (int)$dat->user_id , 'business_id' => 1];
$query = ['$set' => ['report_settings.show_levels' => $dat->show_levels, 'report_settings.show_hidden' => $dat->show_hidden, 'report_settings.show_deleted' => $dat->show_deleted, 'report_settings.update_date' => $curDate, 'report_settings.update_by' => $editUser]];
$updateResult = $collection->updateOne($filter, $query);

if($updateResult->getMatchedCount() == 1)
{
	$result_data = array('success'=>true);
}
else
{
	$result_data = array('success'=>false);
}

echo json_encode($result_data);
?>