<?php
include('collection_lists.php');

  
$menu_type = $_GET['menu_type'];
$start_date = $_GET['start_date'] == "" ? strtotime(date('01-m-Y',strtotime('this month'))) : strtotime($_GET['start_date']);
$end_date =  $_GET['end_date'] == "" ? strtotime(date('t-m-Y',strtotime('this month')))  : strtotime($_GET['end_date']) ;

$business_id = $_GET['business_id'] !== "" ? (int)$_GET['business_id'] : 1;



$paymentQuery = array();
$accountQuery = array();

//$filter  = [ 'visible' => 1 , 'lv2_id'=>['$ne' => "6"],'business_id' => $business_id, 'account_id' => ['$gte' => 1], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];
$options = ['sort' => ['account_id' => 1, 'trans_date' => 1]];
if($menu_type == "rcv")
{
	$filter  = [ 'visible' => 1 , 'lv2_id'=>['$ne' => "6"],'business_id' => $business_id, 'account_id' => ['$gte' => 1], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];

}
else
{
	$filter  = [ 'visible' => 1 , 'business_id' => $business_id, 'account_id' => ['$gte' => 1], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];
	$filter2  = [ 'visible' => 1 , 'business_id' => $business_id, 'lv2_id'=>"6", 'account_id' => ['$gte' => 1], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];
}

if($menu_type=="exp")
{
	$menu_type = "rcv";
	$meny_org_type = "exp";
	$collection = $client->$dbNameConnector->receivings_trans;
	$cursor = $collection->find($filter2,$options);
	foreach ($cursor as $doc) {
			$doc->trans_date_formatted = date('d-m-Y',$doc->trans_date);
			$new_val_substring = str_replace(",","",$doc->trans_val);
			$new_val = floatval($new_val_substring);
			if(array_key_exists($meny_org_type."_".$doc->account_id, $paymentQuery))
			{
				$current_val = $paymentQuery[$meny_org_type."_".$doc->account_id]['actual_total'];
				$paymentQuery[$meny_org_type."_".$doc->account_id]['actual_total'] = floatval(bcadd($current_val,$new_val));
				
				$current_val = $paymentQuery[$meny_org_type."_".$doc->account_id]['actual_total_rcv'];
				$paymentQuery[$meny_org_type."_".$doc->account_id]['actual_total_rcv'] = floatval(bcadd($current_val,$new_val));
				$paymentQuery[$meny_org_type."_".$doc->account_id]['data'][] = $doc;
				if($doc->trans_date > $paymentQuery[$meny_org_type."_".$doc->account_id]['last_actual_date'])
				{
					$paymentQuery[$meny_org_type."_".$doc->account_id]['last_actual_date'] = $doc->trans_date;
					$paymentQuery[$meny_org_type."_".$doc->account_id]['last_actual_date_formatted'] = $doc->trans_date_formatted;
				}
			}
			else
			{
				$paymentQuery[$meny_org_type."_".$doc->account_id]['actual_total'] = $new_val;
				$paymentQuery[$meny_org_type."_".$doc->account_id]['actual_total_rcv'] = $new_val;
				$paymentQuery[$meny_org_type."_".$doc->account_id]['last_actual_date'] = $doc->trans_date;
				$paymentQuery[$meny_org_type."_".$doc->account_id]['last_actual_date_formatted'] = $doc->trans_date_formatted;
				$paymentQuery[$meny_org_type."_".$doc->account_id]['data'][] = $doc; 
			}
		}
	$collection = $client->$dbNameConnector->advanced_receivings;
	$cursor = $collection->find($filter2,$options);
	foreach ($cursor as $doc) {
		$doc->trans_date_formatted = date('d-m-Y',$doc->trans_date);
		$new_val_substring = str_replace(",","",$doc->trans_val);
		$new_val = floatval($new_val_substring);
		if(array_key_exists($meny_org_type."_".$doc->account_id, $accountQuery))
		{
			$current_val = $accountQuery[$meny_org_type."_".$doc->account_id]['adv_total'];
			$accountQuery[$meny_org_type."_".$doc->account_id]['adv_total'] = floatval(bcadd($current_val,$new_val));
			$current_val = $accountQuery[$meny_org_type."_".$doc->account_id]['adv_total_rcv'];
			$accountQuery[$meny_org_type."_".$doc->account_id]['adv_total_rcv'] = floatval(bcadd($current_val,$new_val));
			$accountQuery[$meny_org_type."_".$doc->account_id]['data'][] = $doc;
			$accountQuery[$meny_org_type."_".$doc->account_id]['total_difference'] = floatval(bcadd($current_val,bcmul($new_val,-1.00)));
			if($doc->trans_date > $accountQuery[$meny_org_type."_".$doc->account_id]['last_due_date'])
			{
				$accountQuery[$meny_org_type."_".$doc->account_id]['last_due_date'] = $doc->trans_date;
				$accountQuery[$meny_org_type."_".$doc->account_id]['last_due_date_formatted'] = $doc->trans_date_formatted;
				$accountQuery[$meny_org_type."_".$doc->account_id]['date_difference'] = ceil(bcsub($doc->trans_date,strtotime(date('d-m-Y'))) / 86400);
				$accountQuery[$meny_org_type."_".$doc->account_id]['date_difference_label'] =$accountQuery[$meny_org_type."_".$doc->account_id]['date_difference'] >= 0 ? 'success' : 'danger';
		
			}
		}
		else
		{
			$accountQuery[$meny_org_type."_".$doc->account_id]['account_name'] = $doc->account_name;
			$accountQuery[$meny_org_type."_".$doc->account_id]['account_id'] = $doc->account_id;
			$accountQuery[$meny_org_type."_".$doc->account_id]['adv_total'] = $new_val;
			$accountQuery[$meny_org_type."_".$doc->account_id]['adv_total_rcv'] = $new_val;
			$accountQuery[$meny_org_type."_".$doc->account_id]['last_due_date'] = $doc->trans_date;
			$accountQuery[$meny_org_type."_".$doc->account_id]['last_due_date_formatted'] = $doc->trans_date_formatted;
			$accountQuery[$meny_org_type."_".$doc->account_id]['data'][] = $doc; 
			$accountQuery[$meny_org_type."_".$doc->account_id]['total_difference'] = floatval(bcmul($new_val,-1.00));
			$accountQuery[$meny_org_type."_".$doc->account_id]['actual_total'] = 0.00;
			$accountQuery[$meny_org_type."_".$doc->account_id]['date_difference'] = ceil(bcsub($doc->trans_date,strtotime(date('d-m-Y'))) / 86400);
			$accountQuery[$meny_org_type."_".$doc->account_id]['date_difference_label'] =$accountQuery[$meny_org_type."_".$doc->account_id]['date_difference'] >= 0 ? 'success' : 'danger';
		}
	}
	$menu_type = "exp";
}



$menu_name = $collection_menu_types[$menu_type."_trans"];
$collection = $client->$dbNameConnector->$menu_name;
$cursor = $collection->find($filter,$options);
foreach ($cursor as $doc) {
		$doc->trans_date_formatted = date('d-m-Y',$doc->trans_date);
		$new_val_substring = str_replace(",","",$doc->trans_val);
		$new_val = floatval($new_val_substring);
		if(array_key_exists($menu_type."_".$doc->account_id, $paymentQuery))
		{
			$current_val = $paymentQuery[$menu_type."_".$doc->account_id]['actual_total'];
			$paymentQuery[$menu_type."_".$doc->account_id]['actual_total'] = floatval(bcadd($current_val,$new_val));
			$current_val = $paymentQuery[$menu_type."_".$doc->account_id]['actual_total_exp'];
			$paymentQuery[$menu_type."_".$doc->account_id]['actual_total_exp'] = floatval(bcadd($current_val,$new_val));
			$paymentQuery[$menu_type."_".$doc->account_id]['data'][] = $doc;
			if($doc->trans_date > $paymentQuery[$menu_type."_".$doc->account_id]['last_actual_date'])
			{
				$paymentQuery[$menu_type."_".$doc->account_id]['last_actual_date'] = $doc->trans_date;
				$paymentQuery[$menu_type."_".$doc->account_id]['last_actual_date_formatted'] = $doc->trans_date_formatted;
			}
		}
		else
		{
			$paymentQuery[$menu_type."_".$doc->account_id]['actual_total'] = $new_val;
			$paymentQuery[$menu_type."_".$doc->account_id]['actual_total_exp'] = $new_val;
			$paymentQuery[$menu_type."_".$doc->account_id]['last_actual_date'] = $doc->trans_date;
			$paymentQuery[$menu_type."_".$doc->account_id]['last_actual_date_formatted'] = $doc->trans_date_formatted;
			$paymentQuery[$menu_type."_".$doc->account_id]['data'][] = $doc; 
		}
}

$paymentQuerySize = sizeof($paymentQuery);


$menu_name = $collection_menu_types[$menu_type."_adv_trans"];
$collection = $client->$dbNameConnector->$menu_name;
//$filter  = [ 'visible' => 1 , 'lv2_id'=>['$ne' => "6"], 'account_id' => ['$ne' => ''], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];

if($menu_type == "rcv")
{
	$filter  = [ 'visible' => 1 , 'lv2_id'=>['$ne' => "6"], 'account_id' => ['$gte' => 1], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];
}
else
{
	$filter  = [ 'visible' => 1 , 'account_id' => ['$gte' => 1], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];
}
$options = ['sort' => ['account_id' => 1, 'trans_date' => 1]];
$cursor1 = $collection->find($filter,$options);
foreach ($cursor1 as $doc) {
		$doc->trans_date_formatted = date('d-m-Y',$doc->trans_date);
		$new_val_substring = str_replace(",","",$doc->trans_val);
		$new_val = floatval($new_val_substring);
		if(array_key_exists($menu_type."_".$doc->account_id, $accountQuery))
		{
			$current_val = $accountQuery[$menu_type."_".$doc->account_id]['adv_total'];
			$accountQuery[$menu_type."_".$doc->account_id]['adv_total'] = floatval(bcadd($current_val,$new_val));
			$current_val = $accountQuery[$menu_type."_".$doc->account_id]['adv_total_exp'];
			$accountQuery[$menu_type."_".$doc->account_id]['adv_total_exp'] = floatval(bcadd($current_val,$new_val));
			$accountQuery[$menu_type."_".$doc->account_id]['data'][] = $doc;
			$accountQuery[$menu_type."_".$doc->account_id]['total_difference'] = floatval(bcadd($current_val,bcmul($new_val,-1.00)));
			if($doc->trans_date > $accountQuery[$menu_type."_".$doc->account_id]['last_due_date'])
			{
				$accountQuery[$menu_type."_".$doc->account_id]['last_due_date'] = $doc->trans_date;
				$accountQuery[$menu_type."_".$doc->account_id]['last_due_date_formatted'] = $doc->trans_date_formatted;
				$accountQuery[$menu_type."_".$doc->account_id]['date_difference'] = ceil(bcsub($doc->trans_date,strtotime(date('d-m-Y'))) / 86400);
				$accountQuery[$menu_type."_".$doc->account_id]['date_difference_label'] =$accountQuery[$menu_type."_".$doc->account_id]['date_difference'] >= 0 ? 'success' : 'danger';
		
			}
		}
		else
		{
			$accountQuery[$menu_type."_".$doc->account_id]['account_name'] = $doc->account_name;
			$accountQuery[$menu_type."_".$doc->account_id]['account_id'] = $doc->account_id;
			$accountQuery[$menu_type."_".$doc->account_id]['adv_total'] = $new_val;
			$accountQuery[$menu_type."_".$doc->account_id]['adv_total_exp'] = $new_val;
			$accountQuery[$menu_type."_".$doc->account_id]['last_due_date'] = $doc->trans_date;
			$accountQuery[$menu_type."_".$doc->account_id]['last_due_date_formatted'] = $doc->trans_date_formatted;
			$accountQuery[$menu_type."_".$doc->account_id]['data'][] = $doc; 
			$accountQuery[$menu_type."_".$doc->account_id]['total_difference'] = floatval(bcmul($new_val,-1.00));
			$accountQuery[$menu_type."_".$doc->account_id]['actual_total'] = 0.00;
			$accountQuery[$menu_type."_".$doc->account_id]['date_difference'] = ceil(bcsub($doc->trans_date,strtotime(date('d-m-Y'))) / 86400);
			$accountQuery[$menu_type."_".$doc->account_id]['date_difference_label'] =$accountQuery[$menu_type."_".$doc->account_id]['date_difference'] >= 0 ? 'success' : 'danger';
		}
}

foreach ($paymentQuery as $key=>$value)
{
	if(array_key_exists($key,$accountQuery))
	{
		$accountQuery[$key]['total_difference'] = floatval(bcsub($paymentQuery[$key]['actual_total'],$accountQuery[$key]['adv_total']));
		$accountQuery[$key]['actual_total'] = $paymentQuery[$key]['actual_total'];
		$accountQuery[$key]['actual_total_rcv'] = $paymentQuery[$key]['actual_total_rcv'];
		$accountQuery[$key]['actual_total_exp'] = $paymentQuery[$key]['actual_total_exp'];
		//$accountQuery[$key]['adv_total_rcv'] = $accountQuery[$key]['adv_total_rcv'];
		//$accountQuery[$key]['adv_total_exp'] = $accountQuery[$key]['adv_total_exp'];
		if(array_key_exists('last_actual_date',$accountQuery[$key]))
		{
			if($value['last_actual_date'] > $accountQuery['last_actual_date'])
			{
				$accountQuery[$key]['last_actual_date'] = $value['last_actual_date'];
				$accountQuery[$key]['last_actual_date_formatted'] = $value['last_actual_date_formatted'];
			}
		}
		else
		{
				$accountQuery[$key]['last_actual_date'] = $value['last_actual_date'];
				$accountQuery[$key]['last_actual_date_formatted'] = $value['last_actual_date_formatted'];
		}
		$accountQuery[$key]['date_difference'] = ceil(bcsub($accountQuery[$key]['last_due_date'],$accountQuery[$key]['last_actual_date']) / 86400);
		$accountQuery[$key]['date_difference_label'] = $accountQuery[$key]['date_difference'] >= 0 ? 'success' : 'danger';
		$accountQuery[$key]['data'] = array_merge($accountQuery[$key]['data'], $paymentQuery[$key]['data']);
	}
}


$menu_name = $collection_menu_types[$menu_type."_acc"];
$collection = $client->$dbNameConnector->$menu_name;

//$filter  = [ 'visible' => 1 , 'account_id' => ['$ne' => ''], 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date]];



foreach ($accountQuery as $key=>$value)
{
	$filter  = [ 'visible' => 1 , 'mcf_account_id' => (int)$value['account_id'] ];
	$cursorAccount = $collection->findOne($filter);
	$accountQuery[$key]['account_details'] = $cursorAccount;

}

$currentTimeStamp = strtotime(date('d-m-Y'));

$accQryNew = [];
foreach ($accountQuery as $key=>$value)
{
	array_push($accQryNew,$value);
}
$currentTimeStamp = strtotime(date('d-m-Y'));

echo json_encode(array('currentDate'=>$currentTimeStamp,'data'=>$accQryNew,'payment'=>$paymentQuery,'acc'=>$accountQuery));
?>