<?php
include('collection_lists.php');


$business_id = $_GET['business_id'] !== "" ? (int)$_GET['business_id'] : 1;

$month_names = array("01"=>"มกราคม",  
        "02"=>"กุมภาพันธ์",  
        "03"=>"มีนาคม",  
        "04"=>"เมษายน",  
        "05"=>"พฤษภาคม",  
        "06"=>"มิถุนายน",  
        "07"=>"กรกฎาคม",  
        "08"=>"สิงหาคม",  
        "09"=>"กันยายน", 
        "10"=>"ตุลาคม", 
        "11"=>"พฤศจิกายน", 
        "12"=>"ธันวาคม" 
); 
$month_name = $month_names["".date("m").""];

$start_date = $_GET['startDate'] == "" ? date('01-m-Y',strtotime('this month')) : $_GET['startDate'] ;
$end_date =  $_GET['endDate'] == "" ? date('t-m-Y',strtotime('this month'))  : $_GET['endDate'] ;
$type = $_GET['type'] == "" ? '1' :  $_GET['type'];

/*===========Get Business and Report Settings==========*/
$collection = $client->$dbNameConnector->settings_personal;
$filter  = [ 'business_id' => $business_id];
$cursor = $collection->findOne($filter);
$business_name = $cursor['name'];
$report_levels = isset($cursor['report_settings']['show_levels']) ? $cursor['report_settings']['show_levels'] : "lv2_lv3";
$report_hidden = isset($cursor['report_settings']['show_hidden']) ? $cursor['report_settings']['show_hidden'] : false;
$report_deleted = isset($cursor['report_settings']['show_deleted']) ? $cursor['report_settings']['show_deleted'] : false;

$report_hidden = false;
$report_deleted = false;



$report_type = array(
	'1' 	=>	'trans',
	'2'		=>	'adv',
	'3'		=>	'trans'
);
$test = $report_type[$type];
$receivings_select = 'rcv_'.$report_type[$type];
$expenses_select = 'exp_'.$report_type[$type];
$query_period_string = "-".date("m")."-".date("Y");



/*================GET MENU HEADERS================*/
$filter  = [ 'business_id' => (int)$business_id];
$lv3_visible = 0;
$lv3_active = 0;
/*=======Filter deleted and hidden menus======*/
if($report_hidden !== true)
{
	$filter['visible'] = 1;
	$lv3_visible = 1;
}
if($report_deleted !== true)
{
	$filter['active'] = 1;
	$lv3_active = 1;
}


$rcvMenu = $client->$dbNameConnector->receivings_menu;
$cursorRcv = $rcvMenu->find($filter);
$rcvMenuHeaders = array();
foreach($cursorRcv as $doc)
{
	$rcvMenuHeaders[$doc['lv1_menu']][$doc['name']] = array();
	foreach($doc['lv3'] as $lv3)
	{
		if($lv3_active == 1 && (int)$lv3['active'] !== (int)$lv3_active)
		{
			continue;
		}
		if($lv3_visible == 1 && (int)$lv3['visible'] !== (int)$lv3_visible)
		{
			continue;
		}
		$rcvMenuHeaders[$doc['lv1_menu']][$doc['name']][] = array('name'=>$lv3['name'],'lv2_id'=>$doc['mcf_id'],'lv3_id'=>$lv3['mcf_sub_id']);
		$cursorRcvArray[$doc['lv1_menu']][]= array('name' => $lv3['name'], 'id' => $doc['mcf_id'], 'lv3_id' => $lv3['mcf_sub_id']);
	}
}
$expMenu = $client->$dbNameConnector->expenses_menu;
$cursorExp = $expMenu->find($filter);
$expMenuHeaders = array();
foreach($cursorExp as $doc)
{
	$expMenuHeaders[$doc['lv1_menu']][$doc['name']] = array();
	foreach($doc['lv3'] as $lv3)
	{
		if($lv3_active == 1 && (int)$lv3['active'] !== (int)$lv3_active)
		{
			continue;
		}
		if($lv3_visible == 1 && (int)$lv3['visible'] !== (int)$lv3_visible)
		{
			continue;
		}
		$expMenuHeaders[$doc['lv1_menu']][$doc['name']][] = array('name'=>$lv3['name'],'lv2_id'=>$doc['mcf_id'],'lv3_id'=>$lv3['mcf_sub_id']);
		$cursorExpArray[$doc['lv1_menu']][] = array('name' => $lv3['name'], 'id' => $doc['mcf_id'], 'lv3_id' => $lv3['mcf_sub_id']);
	}
}




$rcvMenuQuery = array();
$start_date_modified = strtotime($start_date);
$end_date_modified = strtotime($end_date);
//$filter  = [ 'visible' => 1 , 'business_id' => $business_id, 'trans_date' => ['$gte'=>$start_date_modified,'$lte'=>$end_date_modified] ];
$filter  = [ 'business_id' => $business_id, 'trans_date' => ['$gte'=>$start_date_modified,'$lte'=>$end_date_modified] ];
$lv3_visible = 0;
$lv3_active = 0;
/*=======Filter deleted and hidden menus======*/
if($report_hidden !== true)
{
	$filter['visible'] = 1;
	$lv3_visible = 1;
}
//if($report_deleted !== true)
//{
//	$filter['active'] = 1;
//	$lv3_active = 1;
//}




$options = ['sort' => ['mcf_trans_id' => 1]];

$summaryCashflow = array();
$trans_menu = $collection_menu_types[$receivings_select];
$collection = $client->$dbNameConnector->$trans_menu;
$cursor = $collection->find($filter,$options);
$summaryCashflow = array( 
	'cfo'	=>	array('summary' => 0, 'summary_forecast' => 0),
	'cff'	=>	array('summary' => 0, 'summary_forecast' => 0),
	'cfi'	=>	array('summary' => 0, 'summary_forecast' => 0)
	);
foreach ($cursor as $doc) {
	$headerCheck = 0;
	if(array_key_exists($doc['lv2_name'],$rcvMenuHeaders[$doc['lv1_menu']]))
	{
		foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $docKey=>$docVal)
		{
			if((int)$docVal['lv2_id'] == (int)$doc['lv2_id'] && (int)$docVal['lv3_id'] == (int)$doc['lv3'])
			{
				$headerCheck++;
				$lv3NewName = $docVal['name'];
			}
		}
	}
	if($headerCheck > 0)
	{
		if(array_key_exists($doc['lv2_name'],$rcvMenuQuery[$doc['lv1_menu']]))
		{	
			$new_val_substring = str_replace(",","",$doc['trans_val']);
			$new_val = floatval($new_val_substring);
			$current_val = $rcvMenuQuery[$doc['lv1_menu']][$doc['lv2_name']]['trans_val'];
			$rcvMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['trans_val'] = floatval(bcadd($current_val,$new_val,2));
			
			$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary']);
			$summaryCashflow[$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));		
		}
		else 
		{
			$new_val_substring = str_replace(",","",$doc['trans_val']);
			$new_val = floatval($new_val_substring);
			$rcvMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['trans_val'] = $new_val;
			$rcvMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['lv1'] = $doc['lv1_menu'];
			
			$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary']);
			$summaryCashflow[$doc['lv1_menu']]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));
		}
	}
}

$expMenuQuery = array();
$trans_menu = $collection_menu_types[$expenses_select];
$collection = $client->$dbNameConnector->$trans_menu;
$cursor = $collection->find($filter,$options);

foreach ($cursor as $doc) {
	$headerCheck = 0;
	if(array_key_exists($doc['lv2_name'],$expMenuHeaders[$doc['lv1_menu']]))
	{
		foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $docKey=>$docVal)
		{
			if((int)$docVal['lv2_id'] == (int)$doc['lv2_id'] && (int)$docVal['lv3_id'] == (int)$doc['lv3'])
			{
				$headerCheck++;
				$lv3NewName = $docVal['name'];
			}
		}
	}
	if($headerCheck > 0)
	{
		if(array_key_exists($doc['lv2_name'],$expMenuQuery[$doc['lv1_menu']]))
		{
			$new_val_substring = str_replace(",","",$doc['trans_val']);
			$new_val = floatval($new_val_substring);
			$current_val = $expMenuQuery[$doc['lv1_menu']][$doc['lv2_name']]['trans_val'];
			$expMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['trans_val'] = floatval(bcadd($current_val,$new_val,2));
	
			$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary']);
			$summaryCashflow[$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));		
		}
		else 
		{
			$new_val_substring = str_replace(",","",$doc['trans_val']);
			$new_val = floatval($new_val_substring);
			$expMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['trans_val'] = $new_val;
			$expMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['lv1'] = $doc['lv1_menu'];
			
			$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary']);
			$summaryCashflow[$doc['lv1_menu']]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));
		}
	}
}


if($type == '3')
{
	$receivings_select = 'rcv_'.$report_type['2'];
	$expenses_select = 'exp_'.$report_type['2'];


	$trans_menu = $collection_menu_types[$receivings_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter,$options);

	foreach ($cursor as $doc) {
		$headerCheck = 0;
		if(array_key_exists($doc['lv2_name'],$rcvMenuHeaders[$doc['lv1_menu']]))
		{
			foreach($rcvMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $docKey=>$docVal)
			{
				if((int)$docVal['lv2_id'] == (int)$doc['lv2_id'] && (int)$docVal['lv3_id'] == (int)$doc['lv3'])
				{
					$headerCheck++;
					$lv3NewName = $docVal['name'];
				}
			}
		}
		if($headerCheck > 0)
		{
			if(array_key_exists($doc['lv2_name'],$rcvMenuQuery[$doc['lv1_menu']]))
			{	
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$current_val = $rcvMenuQuery[$doc['lv1_menu']][$doc['lv2_name']]['forecast_trans_val'];
				$rcvMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['forecast_trans_val'] = floatval(bcadd($current_val,$new_val,2));
	
				$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary_forecast']);
				$summaryCashflow[$doc['lv1_menu']]['summary_forecast'] = floatval(bcadd($current_summary_val,$new_val,2));		
			}
			else 
			{
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$rcvMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['forecast_trans_val'] = $new_val;
				$rcvMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['lv1'] = $doc['lv1_menu'];
	
				$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary_forecast']);
				$summaryCashflow[$doc['lv1_menu']]['summary_forecast'] = floatval(bcadd($current_summary_val,$new_val,2));
			}
		}
	}
	
	$trans_menu = $collection_menu_types[$expenses_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter,$options);

	foreach ($cursor as $doc) {
		$headerCheck = 0;
		if(array_key_exists($doc['lv2_name'],$expMenuHeaders[$doc['lv1_menu']]))
		{
			foreach($expMenuHeaders[$doc['lv1_menu']][$doc['lv2_name']] as $docKey=>$docVal)
			{
				if((int)$docVal['lv2_id'] == (int)$doc['lv2_id'] && (int)$docVal['lv3_id'] == (int)$doc['lv3'])
				{
					$headerCheck++;
					$lv3NewName = $docVal['name'];
				}
			}
		}
		if($headerCheck > 0)
		{
			if(array_key_exists($doc['lv2_name'],$expMenuQuery[$doc['lv1_menu']]))
			{
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$current_val = $expMenuQuery[$doc['lv1_menu']][$doc['lv2_name']]['forecast_trans_val'];
				$expMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['forecast_trans_val'] = floatval(bcadd($current_val,$new_val,2));
	
				$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary_forecast']);
				$summaryCashflow[$doc['lv1_menu']]['summary_forecast'] = floatval(bcsub($current_summary_val,$new_val,2));		
			}
			else 
			{
				$new_val_substring = str_replace(",","",$doc['trans_val']);
				$new_val = floatval($new_val_substring);
				$expMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['forecast_trans_val'] = $new_val;
				$expMenuQuery[($doc['lv1_menu'])][$doc['lv2_name']]['lv1'] = $doc['lv1_menu'];
	
				$current_summary_val = floatval($summaryCashflow[$doc['lv1_menu']]['summary_forecast']);
				$summaryCashflow[$doc['lv1_menu']]['summary_forecast'] = floatval(bcsub($current_summary_val,$new_val,2));
			}
		}
	}

	$summaryCashflow['cfo']['summary_difference'] = floatval(bcsub($summaryCashflow['cfo']['summary'],$summaryCashflow['cfo']['summary_forecast'],2));
	$summaryCashflow['cff']['summary_difference'] = floatval(bcsub($summaryCashflow['cff']['summary'],$summaryCashflow['cff']['summary_forecast'],2));
	$summaryCashflow['cfi']['summary_difference'] = floatval(bcsub($summaryCashflow['cfi']['summary'],$summaryCashflow['cfi']['summary_forecast'],2));
}





if($_GET['startDate'] !== "")
{
	$start_date_array = explode("-",$start_date);
	$end_date_array = explode("-",$end_date);

    $datetime1 = date_create($start_date_array[2]."-".$start_date_array[1]."-".$start_date_array[0]);
    $datetime2 = date_create($end_date_array[2]."-".$end_date_array[1]."-".$end_date_array[0]);
    
    $interval = date_diff($datetime1, $datetime2);
    
    $number_of_days =  $interval->format('%d');
	if($number_of_days == 0)
	{
		$report_header = $start_date;
	}
	else
	{
		$start_month_date = date('Y-m-t',strtotime($start_date_array[2]."-".$start_date_array[1]."-".$start_date_array[0]));
		$end_month_date = date('Y-m-t',strtotime($end_date_array[2]."-".$end_date_array[1]."-".$end_date_array[0]));
		if(($start_month_date == date("Y-m-d",$datetime1)) && ($end_month_date == date("Y-m-d",$datetime2)))
		{
			$report_header = $month_names["".date("m",$start_month_date).""];
		}
		else
		{
			$report_header = $start_date." - ".$end_date;
		}
	}
}
else
{
	$report_header = $month_names["".date("m").""];
}

//include('partial_reports/cashflow_compare.php');

//if($type == "1" || $type == "2")
//{
	echo json_encode(array('rcv'=>$rcvMenuQuery,'exp'=>$expMenuQuery,'summary'=>$summaryCashflow,'month'=>$month_name,'number_of_days'=>$number_of_days,'start_date'=>$start_date,'end_date'=>$end_date,'report_header'=>$report_header));
//}


?>