<?php

//$_SERVER['HTTP_X_REQUESTED_WITH'] = 'xmlhttprequest'; 
//$_SERVER['HTTP_X_REQUESTED_BY'] = 'mcfapplication';
include('collection_lists.php');


date_default_timezone_set('Asia/Bangkok'); 

$start_date = $_GET['start_date'] !== "" ? $_GET['start_date'] : 5;


$query_period_string_start = strtotime(date('d-m-Y',strtotime('- '.$start_date.' days')));
$query_period_string_end = strtotime(date('d-m-Y',strtotime("now")));



$month_names = array("01"=>"มกราคม",  
        "02"=>"กุมภาพันธ์",  
        "03"=>"มีนาคม",  
        "04"=>"เมษายน",  
        "05"=>"พฤษภาคม",  
        "06"=>"มิถุนายน",  
        "07"=>"กรกฎาคม",  
        "08"=>"สิงหาคม",  
        "09"=>"กันยายน", 
        "10"=>"ตุลาคม", 
        "11"=>"พฤศจิกายน", 
        "12"=>"ธันวาคม" 
); 
$month_name = $month_names["".date("m").""];

$incomeHeader = array(
	'quotation'		=>	"ใบเสนอราคา",
	'invoice'			=>	"ใบแจ้งหนี้",	
	'receipt'			=>	"ใบเสร็จรับเงิน",
	'delivery_note'	=>	"ใบส่งของ",
	'pre_receipt'		=>	"ใบรับเงินชั่วคราว"
);

$expHeader = array(
	'certificate_receipt'	=>	"ใบรับรองแทนใบเสร็จรับเงิน",
	'receive_form'			=>	"ใบสำคัญรับเงิน",
	'withholding_form'		=>	"ใบหัก ณ ที่จ่าย"
);

$rcvInvoiceQuery = array(
	'quotation' 		=> array('count'   =>   0,  'total_val'  => 0.00),
	'invoice' 		=> array('count'   =>   0,  'total_val'  => 0.00),
	'receipt' 		=> array('count'   =>   0,  'total_val'  => 0.00),
	'delivery_note' 	=> array('count'   =>   0,  'total_val'  => 0.00),
	'pre_receipt' 		=> array('count'   =>   0,  'total_val'  => 0.00),
	'total_count'		=> 0
);

$expInvoiceQuery = array(
	'certificate_receipt'	=> array('count'   =>   0,  'total_val'  => 0.00),
	'receive_form' 		=> array('count'   =>   0,  'total_val'  => 0.00),
	'withholding_form' 		=> array('count'   =>   0,  'total_val'  => 0.00),
	'total_count'			=> 0
);

$filter  = [ 'visible' => 1 ,  'create_date_unix' => ['$gte' => $query_period_string_start] ];
$options = [];

$incomeDocuments = $client->$dbNameConnector->income_documents;
$expenseDocuments = $client->$dbNameConnector->expense_documents;

$rcvCursor = $incomeDocuments->find($filter,$options);
foreach ($rcvCursor as $doc) {
	$rcvInvoiceQuery['total_count'] +=1 ;
	$rcvInvoiceQuery[$doc['summary']['form']]['count'] += 1;
	$rcvInvoiceQuery[$doc['summary']['form']]['total_val'] += floatval($doc['summary']['total']);
}

$expCursor = $expenseDocuments->find($filter,$options);
foreach ($expCursor as $doc) {
	$expInvoiceQuery['total_count'] +=1 ;
	$expInvoiceQuery[$doc['summary']['form']]['count'] += 1;
	$expInvoiceQuery[$doc['summary']['form']]['total_val'] += isset($doc['summary']['total']) ? $doc['summary']['total'] : $doc['summary']['net_deducted'];
}

$temp_start_time = strtotime("-".$start_date." days");
$temp_end_time = strtotime("now");

$datetime1 = new DateTime("@$temp_start_time"); 
$datetime2 = new DateTime("@$temp_end_time");

$interval = date_diff($datetime1, $datetime2);
$number_of_days =  $interval->format('%a');

$end_datetime = strtotime("now") +  24*60*60;
$new_enddatetime = new DateTime("@$end_datetime");
$period = new DatePeriod(
     $datetime1,
     new DateInterval('P1D'),
     $new_enddatetime,
	 DatePeriod::EXCLUDE_START_DATE
);
foreach( $period as $date) { $period_array[] = $date->format('d-m'); }
$period_size = sizeof($period_array);

echo json_encode(array('success'=>true,'x-axis'=>$period_array,'period_days'=>$period_size,'income_header'=>$incomeHeader,'income_docs'=>$rcvInvoiceQuery,'expense_header'=>$expHeader,'expense_docs'=>$expInvoiceQuery));


?>