<?php
include('collection_lists.php');

		error_reporting(-1);
		ini_set('display_errors', 1);
$collection = $client->$dbNameConnector->settings_personal;
$business_id = $_GET['business_id'] !== "" ? (int)$_GET['business_id'] : 1;

$filter  = [ 'business_id' => $business_id];
$cursor = $collection->findone($filter);

/*=================Check if "report_settings" key exists================*/
if(array_key_exists('report_settings',$cursor))
{
	$settingReportQuery = array(
		'show_levels'	=>	$cursor['report_settings']['show_levels'],
		'show_hidden'	=>	$cursor['report_settings']['show_hidden'],
		'show_deleted'	=>	$cursor['report_settings']['show_deleted']	
	);
	$result = array('success'=>true,'result'=>$settingReportQuery);
	
	echo json_encode($result);
}
else
{
	/*=================Check if admin user has permission (case new Add)================*/
	$settingsPermission = $client->$dbNameConnector->users;
	$permissionFilter = ['business_id' => 1,'user_id' => 1];
	$permissionCursor = $settingsPermission->findOne($permissionFilter);
	
	/*=================If admin doesn't have permission, add it! ================*/
	if(strrpos($permissionCursor['permissions'],'settings-reports') == false)
	{
		$newPermissions = $permissionCursor['permissions'].",settings-reports";
		$addPermissionFilter = $settingsPermission->updateOne(
			['business_id' => $business_id, 'user_id' => 1],
			['$set' => ['permissions' => $newPermissions ]]
		);
	}
	
	/*=================Set default report settings keys and values================*/
	$initialInsert = $collection->updateOne(
		['business_id' => $business_id],
		['$set' => ['report_settings' => [ 'show_levels' => 'lv2_lv3', 'show_hidden' => true, 'show_deleted' => true] , 'update_date'=>date("d-m-Y H:i:s"),'update_user' => [ 'mcf_user_id'=>0, 'user_name'=>'MyCashFlow System'] ]]
	);
	
	if( $initialInsert->getMatchedCount() == 1)
	{
		$settingReportQuery = array(
			'show_levels'	=>	'lv2_lv3',
			'show_hidden'	=>	true,
			'show_deleted'	=>	true	
		);
		$result = array('success'=>true,'result'=>$settingReportQuery);
	}
	else
	{
		$result = array('success'=>false);
	}
	
	echo json_encode($result);	
}

?>