<?php
include('collection_lists.php');


$lv2_id= $_GET['lv2id'];
$lv3_id = $_GET['lv3id'];
$trans_date = $_GET['transdate'];
//$trans_val = number_format($_GET['transval'],2,".",",");
$trans_val = number_format($_GET['transval'],2,".","");
$menu_type = $_GET['menutype'];
$lv1_menu = $_GET['lv1'];
$trans_comment = $_GET['transcomment'];
$trans_account = $_GET['transaccount'];
$user_id = $_GET['user_id'];
$user_name = $_GET['user_name'];

if($trans_account > 0)
{
	if($menu_type == "rcv"){
		$acc_menu = $lv1_menu != "cff" ? "rcv" : "exp";	
	}else{
		$acc_menu = "exp";
	}
	$menu_name = $collection_menu_types[$acc_menu."_acc"];
	$collection = $client->$dbNameConnector->$menu_name;
	$filter  = ['mcf_account_id'=>(int)$trans_account];

	$cursor = $collection->findOne($filter);
	$accountData = array();
	$accountData['name'] = ($cursor['name']);
	$accountData['id'] = ($cursor['mcf_account_id']);
}
else
{
	$accountData['name'] = "";
	$accountData['id'] = -1;
}

$menu_name = $collection_menu_types[$menu_type];
$collection = $client->$dbNameConnector->$menu_name;
$filter  = ['mcf_id'=>(int)$lv2_id, 'lv3.mcf_sub_id'=>(int)$lv3_id];

$cursor = $collection->findOne($filter);

$lv3_index = 0;
foreach ($cursor['lv3'] as $key => $value) {
	if($value['mcf_sub_id'] == $lv3_id){
		$lv3_index = $key;
	}
}

$lv2_name = $cursor['name'];
$lv3_name = $cursor['lv3'][$lv3_index]['name'];

$business_id = $_GET['business_id'] == "" ? 1 : (int)$_GET['business_id'];

$trans_menu = $collection_menu_types[$menu_type."_trans"];
$collection = $client->$dbNameConnector->$trans_menu;
$count = $collection->count();
$new_id = $count+1;

$date =  DateTime::createFromFormat('d-m-Y', $trans_date);
$dateUNIX = strtotime($trans_date);

$result = $collection->insertOne( [ 'mcf_trans_id' => $new_id , 'business_id'=>$business_id, 'lv1_menu' => $lv1_menu,'menu_type'=> $menu_type,'lv2_id' => $lv2_id, 'lv2_name'=> $lv2_name, 'lv3' => $lv3_id, 'lv3_name' => $lv3_name, 'trans_date' => $dateUNIX, 'trans_val' => $trans_val, 'trans_comment' => $trans_comment,'account_id' => $accountData['id'],'account_name' => $accountData['name'], 'create_date'=>date("d-m-Y H:i:s"),'create_user'=> [ 'mcf_user_id'=>$user_id, "user_name"=>$user_name ],'update_date'=>null,'update_user' => [ 'mcf_user_id'=>null, "user_name"=>null ],'visible'=>1 ] );


if($result->getInsertedCount() == 1)
{
	$result_data = array('success'=>true,'inserted_id'=>$result->getInsertedId());
}
else
{
	$result_data = array('success'=>false);
}
echo json_encode($result_data);


?>