<?php
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
if($report_start_month == $report_end_month)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'สำหรับระยะเวลา '.$month_array[$report_start_month].' '.$report_year);
}
else
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'สำหรับระยะเวลา '.$month_array[$report_start_month].' - '.$month_array[$report_end_month].' '.$report_year);
}
$rowNum++;

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, '');

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, 'ตามจริง');
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, 'ประมาณการ');
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, 'เปรียบเทียบ');
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);

$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(40);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);
$rowNum++;

/*=========================LV2/LV3 LOOP ============================*/

/*================================CFO====================================*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'กิจกรรมดำเนินงาน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$rowNum++;

foreach($rcvMenuHeaders['cfo'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(2);
	if($report_levels == "lv2_only")
	{
		$rowActual = (isset($rcvMenuQuery["period"]["cfo"][$key]) && isset($rcvMenuHeaders['cfo'][$key]) && ($rcvMenuQuery["period"]["cfo"][$key]["lv2_id"] == $rcvMenuHeaders['cfo'][$key][0]['lv2_id'])) ? $rcvMenuQuery["period"]["cfo"][$key]['lv2_val'] : 0.00;
		$rowAdvanced = (isset($rcvAdvTransQuery["period"]["cfo"][$key]) && isset($rcvMenuHeaders['cfo'][$key]) && ($rcvAdvTransQuery["period"]["cfo"][$key]["lv2_id"] == $rcvMenuHeaders['cfo'][$key][0]['lv2_id'])) ? $rcvAdvTransQuery["period"]["cfo"][$key]['lv2_val'] : 0.00;
		$tempRowActual = str_replace(",","",$rowActual);
		$tempRowAdvanced = str_replace(",","",$rowAdvanced);
		$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
		
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
		$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorRcvArray['cfo']);$i++)
			{
				if($cursorRcvArray['cfo'][$i]['name'] == $val[$k]['name'] && $cursorRcvArray['cfo'][$i]['id'] == $val[$k]['lv2_id'] && $cursorRcvArray['cfo'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorRcvArray['cfo'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						
						$rowActual = (isset($rcvMenuQuery["period"]["cfo"][$key]) && $rcvMenuQuery["period"]["cfo"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvMenuQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $rcvMenuQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']] : 0.00;
						$rowAdvanced = (isset($rcvAdvTransQuery["period"]["cfo"][$key]) && $rcvAdvTransQuery["period"]["cfo"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvAdvTransQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $rcvAdvTransQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']] : 0.00;
						$tempRowActual = str_replace(",","",$rowActual);
						$tempRowAdvanced = str_replace(",","",$rowAdvanced);
						$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
					
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
						$monthHeader++;
					}
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}
foreach($expMenuHeaders['cfo'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(2);
	if($report_levels == "lv2_only")
	{
		$rowActual = (isset($expMenuQuery["period"]["cfo"][$key]) && isset($expMenuHeaders['cfo'][$key]) && ($expMenuQuery["period"]["cfo"][$key]["lv2_id"] == $expMenuHeaders['cfo'][$key][0]['lv2_id'])) ? $expMenuQuery["period"]["cfo"][$key]['lv2_val']*-1 : 0.00;
		$rowActual = (isset($expMenuQuery["period"]["cfo"][$key]) && isset($expMenuHeaders['cfo'][$key]) && ($expMenuQuery["period"]["cfo"][$key]["lv2_id"] == $expMenuHeaders['cfo'][$key][0]['lv2_id'])) ? $expMenuQuery["period"]["cfo"][$key]['lv2_val']*-1 : 0.00;
		$rowAdvanced = (isset($expAdvTransQuery["period"]["cfo"][$key]) && isset($expMenuHeaders['cfo'][$key]) && ($expAdvTransQuery["period"]["cfo"][$key]["lv2_id"] == $expMenuHeaders['cfo'][$key][0]['lv2_id'])) ? $expAdvTransQuery["period"]["cfo"][$key]['lv2_val']*-1 : 0.00;
		$rowAdvanced = (isset($expAdvTransQuery["period"]["cfo"][$key]) && isset($expMenuHeaders['cfo'][$key]) && ($expAdvTransQuery["period"]["cfo"][$key]["lv2_id"] == $expMenuHeaders['cfo'][$key][0]['lv2_id'])) ? $expAdvTransQuery["period"]["cfo"][$key]['lv2_val']*-1 : 0.00;
		$tempRowActual = str_replace(",","",$rowActual);
		$tempRowAdvanced = str_replace(",","",$rowAdvanced);
		$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
		
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
		$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			$expArrayNameSize = sizeof($expMenuQuery["period"]["cfo"][$key]);
			for ($i=0;$i<sizeof($cursorExpArray['cfo']);$i++)
			{
				//if($cursorExpArray['cfo'][$i]['name'] == $val[$k]['name'] && $cursorExpArray['cfo'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cfo'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				if($cursorExpArray['cfo'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cfo'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorExpArray['cfo'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						
						$rowActual = (isset($expMenuQuery["period"]["cfo"][$key]) && $expMenuQuery["period"]["cfo"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expMenuQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $expMenuQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1 : 0.00;
						$rowAdvanced = (isset($expAdvTransQuery["period"]["cfo"][$key]) && $expAdvTransQuery["period"]["cfo"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expAdvTransQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $expAdvTransQuery["period"]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1 : 0.00;
						$tempRowActual = str_replace(",","",$rowActual);
						$tempRowAdvanced = str_replace(",","",$rowAdvanced);
						$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
					
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
						$monthHeader++;
					}
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
			//foreach($expMenuQuery["period"]["cfo"][$key] as $lv2=>$lv3)
			//{
			//	if(array_key_exists($lv2,$expMenuHeaders['cfo']) || $lv2 == "lv2_id" || $lv2 == "lv2_val")
			//	{
			//		continue;
			//	}
			//	else
			//	{
			//		$tableTdA = $lv2;
			//		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
			//		$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
			//		$rowNum++;
			//	}
			//}
		}

	}
}
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'เงินสดสุทธิจากกิจกรรมดำเนินงาน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFill()->applyFromArray(
		array(
			'type'	   => PHPExcel_Style_Fill::FILL_SOLID,
			'rotation'   => 0,
			'startcolor' => array(
				'rgb' => 'ededed'
			),
			'endcolor'   => array(
				'argb' => 'ededed'
			)
		)
	);
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, number_format($summaryCashflow['period']['cfo']['summary'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, number_format($summaryCashflow['period']['cfo']['summary_forecast'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, number_format($summaryCashflow['period']['cfo']['summary_difference'],2));
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum++;
/*==============================END CFO==================================*/

/*================================CFI====================================*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'กิจกรรมลงทุน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);

$rowNum++;

foreach($rcvMenuHeaders['cfi'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(2);
	if($report_levels == "lv2_only")
	{
		$rowActual = (isset($rcvMenuQuery["period"]["cfi"][$key]) && isset($rcvMenuHeaders['cfi'][$key]) && ($rcvMenuQuery["period"]["cfi"][$key]["lv2_id"] == $rcvMenuHeaders['cfi'][$key][0]['lv2_id'])) ? $rcvMenuQuery["period"]["cfi"][$key]['lv2_val'] : 0.00;
		$rowAdvanced = (isset($rcvAdvTransQuery["period"]["cfi"][$key]) && isset($rcvMenuHeaders['cfi'][$key]) && ($rcvAdvTransQuery["period"]["cfi"][$key]["lv2_id"] == $rcvMenuHeaders['cfi'][$key][0]['lv2_id'])) ? $rcvAdvTransQuery["period"]["cfi"][$key]['lv2_val'] : 0.00;
		$tempRowActual = str_replace(",","",$rowActual);
		$tempRowAdvanced = str_replace(",","",$rowAdvanced);
		$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
		
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
		$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorRcvArray['cfi']);$i++)
			{
				if($cursorRcvArray['cfi'][$i]['name'] == $val[$k]['name'] && $cursorRcvArray['cfi'][$i]['id'] == $val[$k]['lv2_id'] && $cursorRcvArray['cfi'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorRcvArray['cfi'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						
						$rowActual = (isset($rcvMenuQuery["period"]["cfi"][$key]) && $rcvMenuQuery["period"]["cfi"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvMenuQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $rcvMenuQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']] : 0.00;
						$rowAdvanced = (isset($rcvAdvTransQuery["period"]["cfi"][$key]) && $rcvAdvTransQuery["period"]["cfi"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvAdvTransQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $rcvAdvTransQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']] : 0.00;
						$tempRowActual = str_replace(",","",$rowActual);
						$tempRowAdvanced = str_replace(",","",$rowAdvanced);
						$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
					
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
						$monthHeader++;
					}
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}
foreach($expMenuHeaders['cfi'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(2);
	if($report_levels == "lv2_only")
	{
		$rowActual = (isset($expMenuQuery["period"]["cfi"][$key]) && isset($expMenuHeaders['cfi'][$key]) && ($expMenuQuery["period"]["cfi"][$key]["lv2_id"] == $expMenuHeaders['cfi'][$key][0]['lv2_id'])) ? $expMenuQuery["period"]["cfi"][$key]['lv2_val']*-1 : 0.00;
		$rowAdvanced = (isset($expAdvTransQuery["period"]["cfi"][$key]) && isset($expMenuHeaders['cfi'][$key]) && ($expAdvTransQuery["period"]["cfi"][$key]["lv2_id"] == $expMenuHeaders['cfi'][$key][0]['lv2_id'])) ? $expAdvTransQuery["period"]["cfi"][$key]['lv2_val']*-1 : 0.00;
		$tempRowActual = str_replace(",","",$rowActual);
		$tempRowAdvanced = str_replace(",","",$rowAdvanced);
		$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
		
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
		$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorExpArray['cfi']);$i++)
			{
				//if($cursorExpArray['cfo'][$i]['name'] == $val[$k]['name'] && $cursorExpArray['cfo'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cfo'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				if($cursorExpArray['cfi'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cfi'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorExpArray['cfi'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						
						$rowActual = (isset($expMenuQuery["period"]["cfi"][$key]) && $expMenuQuery["period"]["cfi"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expMenuQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $expMenuQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1 : 0.00;
						$rowAdvanced = (isset($expAdvTransQuery["period"]["cfi"][$key]) && $expAdvTransQuery["period"]["cfi"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expAdvTransQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $expAdvTransQuery["period"]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1 : 0.00;
						$tempRowActual = str_replace(",","",$rowActual);
						$tempRowAdvanced = str_replace(",","",$rowAdvanced);
						$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
					
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
						$monthHeader++;
					}
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'เงินสดสุทธิจากกิจกรรมลงทุน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFill()->applyFromArray(
		array(
			'type'	   => PHPExcel_Style_Fill::FILL_SOLID,
			'rotation'   => 0,
			'startcolor' => array(
				'rgb' => 'ededed'
			),
			'endcolor'   => array(
				'argb' => 'ededed'
			)
		)
	);
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, number_format($summaryCashflow['period']['cfi']['summary'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, number_format($summaryCashflow['period']['cfi']['summary_forecast'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, number_format($summaryCashflow['period']['cfi']['summary_difference'],2));
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum++;
/*==============================END CFI==================================*/

/*================================CFF====================================*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'กิจกรรมจัดหาเงิน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$rowNum++;

foreach($rcvMenuHeaders['cff'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
		$rowActual = (isset($rcvMenuQuery["period"]["cff"][$key]) && isset($rcvMenuHeaders['cff'][$key]) && ($rcvMenuQuery["period"]["cff"][$key]["lv2_id"] == $rcvMenuHeaders['cff'][$key][0]['lv2_id'])) ? number_format($rcvMenuQuery["period"]["cff"][$key]['lv2_val'],2) : 0.00;
		$rowAdvanced = (isset($rcvAdvTransQuery["period"]["cff"][$key]) && isset($rcvMenuHeaders['cff'][$key]) && ($rcvAdvTransQuery["period"]["cff"][$key]["lv2_id"] == $rcvMenuHeaders['cff'][$key][0]['lv2_id'])) ? number_format($rcvAdvTransQuery["period"]["cff"][$key]['lv2_val'],2) : 0.00;
		$tempRowActual = str_replace(",","",$rowActual);
		$tempRowAdvanced = str_replace(",","",$rowAdvanced);
		$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
		
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
		$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorRcvArray['cff']);$i++)
			{
				if($cursorRcvArray['cff'][$i]['name'] == $val[$k]['name'] && $cursorRcvArray['cff'][$i]['id'] == $val[$k]['lv2_id'] && $cursorRcvArray['cff'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorRcvArray['cff'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						
						$rowActual = (isset($rcvMenuQuery["period"]["cff"][$key]) && $rcvMenuQuery["period"]["cff"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvMenuQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $rcvMenuQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']] : 0.00;
						$rowAdvanced = (isset($rcvAdvTransQuery["period"]["cff"][$key]) && $rcvAdvTransQuery["period"]["cff"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvAdvTransQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $rcvAdvTransQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']] : 0.00;
						$tempRowActual = str_replace(",","",$rowActual);
						$tempRowAdvanced = str_replace(",","",$rowAdvanced);
						$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
					
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
						$monthHeader++;
					}
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}
foreach($expMenuHeaders['cff'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
		$rowActual = (isset($expMenuQuery["period"]["cff"][$key]) && isset($expMenuHeaders['cff'][$key]) && ($expMenuQuery["period"]["cff"][$key]["lv2_id"] == $expMenuHeaders['cff'][$key][0]['lv2_id'])) ? number_format($expMenuQuery["period"]["cff"][$key]['lv2_val'],2) : 0.00;
		$rowAdvanced = (isset($expAdvTransQuery["period"]["cff"][$key]) && isset($expMenuHeaders['cff'][$key]) && ($expAdvTransQuery["period"]["cff"][$key]["lv2_id"] == $expMenuHeaders['cff'][$key][0]['lv2_id'])) ? number_format($expAdvTransQuery["period"]["cff"][$key]['lv2_val'],2) : 0.00;
		$tempRowActual = str_replace(",","",$rowActual);
		$tempRowAdvanced = str_replace(",","",$rowAdvanced);
		$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
		
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
		$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
		$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
		$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorExpArray['cff']);$i++)
			{
				//if($cursorExpArray['cfo'][$i]['name'] == $val[$k]['name'] && $cursorExpArray['cfo'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cfo'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				if($cursorExpArray['cff'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cff'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorExpArray['cff'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						
						$rowActual = (isset($expMenuQuery["period"]["cff"][$key]) && $expMenuQuery["period"]["cff"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expMenuQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $expMenuQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1 : 0.00;
						$rowAdvanced = (isset($expAdvTransQuery["period"]["cff"][$key]) && $expAdvTransQuery["period"]["cff"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expAdvTransQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? $expAdvTransQuery["period"]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1 : 0.00;
						$tempRowActual = str_replace(",","",$rowActual);
						$tempRowAdvanced = str_replace(",","",$rowAdvanced);
						$rowCompare = bcsub($tempRowActual,$tempRowAdvanced);
					
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, $rowActual);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, $rowAdvanced);
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, $rowCompare);
						$monthHeader++;
					}
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'เงินสดสุทธิจากกิจกรรมจัดหาเงิน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFill()->applyFromArray(
		array(
			'type'	   => PHPExcel_Style_Fill::FILL_SOLID,
			'rotation'   => 0,
			'startcolor' => array(
				'rgb' => 'ededed'
			),
			'endcolor'   => array(
				'argb' => 'ededed'
			)
		)
	);
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, number_format($summaryCashflow['period']['cff']['summary'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, number_format($summaryCashflow['period']['cff']['summary_forecast'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, number_format($summaryCashflow['period']['cff']['summary_difference'],2));
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum++;
/*==============================END CFF==================================*/

/*==========================PERIOD-END BALANCE SUMMARY=====================*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,  'เงินสดสุทธิ:');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':D'.$rowNum)->getFill()->applyFromArray(
		array(
			'type'	   => PHPExcel_Style_Fill::FILL_SOLID,
			'rotation'   => 0,
			'startcolor' => array(
				'rgb' => 'ededed'
			),
			'endcolor'   => array(
				'argb' => 'ededed'
			)
		)
	);
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('B'.$rowNum, number_format($summaryCashflow['period']['actual']['total_summary'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('C'.$rowNum, number_format($summaryCashflow['period']['advanced']['total_summary'],2));
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('D'.$rowNum, number_format($summaryCashflow['period']['total_difference'],2));
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');					
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':D'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
/*=======================END PERIOD-END BALANCE SUMMARY===================*/
			

$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(20);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setWidth(20);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setWidth(20);

// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('CashflowCompareSummary-'.$report_year);

