angular.module('MetronicApp').controller('SettingsController', function($rootScope, $scope, $http, $timeout, $state) {
    $scope.$on('$viewContentLoaded', function() {   
        App.initAjax(); // initialize core components
        Layout.setAngularJsSidebarMenuActiveLink('set', $('#sidebar_menu_link_settings'), $state); // set profile link active in sidebar menu 
		//console.log($scope.userPermissions[$scope.requestedView]);
		//console.log($scope.userPermissions);
		//console.log($scope.modPermissions);
		//$scope.requestedView  = "settings-personal"
		if($scope.userPermissions)
		{
			if($scope.userPermissions[$scope.requestedView] !== true)
			{
				$('.profile-content :input').prop('disabled',true);
			}
		}
    });
	//console.log($scope.sessionUserData);
    // set sidebar closed and body solid layout mode
    $rootScope.settings.layout.pageBodySolid = true;
    $rootScope.settings.layout.pageSidebarClosed = false;
    //console.log($state);
	$scope.requestedView  = (($state.current.name).replace(".","-"));
	
	$rootScope.$on('$stateChangeStart', 
	function(event, toState, toParams, fromState, fromParams){ 
		//console.log('changed');
		//console.log(toState);
		$scope.requestedView = ((toState.name).replace(".","-"));
		//console.log($scope.requestedView);
		//console.log($scope.userPermissions[$scope.requestedView]);
	});
	//console.log($scope.userPermissions[$scope.requestedView]);
}); 
