<?php
require '../vendor/autoload.php';
$client_vars = 'php_data/mcfConn.php';
include($client_vars);		
use Defuse\Crypto\Key;
use Defuse\Crypto\Crypto;

$current_host =  $_SERVER['HTTP_HOST'];echo $current_host;
$hostDefined = true;
if(strpos($current_host,"localhost") !== false)
{
	$host = "mongodb://localhost:27017";
	$uri_path = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
	$uri_segments = explode('/', $uri_path);
	if($uri_segments[1] == "mycashflow")
	{
		$hostDefined = false;
	}
	else
	{
		$requestedShop = substr($uri_segments[1],4); // for localhost/mycashflow/app  you will get 'mycashflow'
	}
	
}
else
{
	if(strpos($current_host,"www.mycashflow.online") !== false || $current_host == "mycashflow.online")
	{
		$host = "mongodb://ec2-54-179-138-82.ap-southeast-1.compute.amazonaws.com:27017";
		$hostDefined = false;
	}
	else
	{
		$host = "mongodb://ec2-54-179-138-82.ap-southeast-1.compute.amazonaws.com:27017";
		$shop_url_segment = explode(".",$current_host);
		$requestedShop = $shop_url_segment[0];
	}
}


if(isset($_COOKIE['mcf_data_session'])) 
{
	$cookieVal = $_COOKIE['mcf_data_session'];

 	//require '../vendor/autoload.php';
	//use Defuse\Crypto\Key;
	//use Defuse\Crypto\Crypto;
	if(isset($_COOKIE['mcf_data_identity'])) 
	{
		$keyASCII = file_get_contents("/var/www/html/mycashflow/app/php_data/connectorKey.txt");
		$key = Key::loadFromAsciiSafeString($keyASCII);

		$db_connector = $_COOKIE['mcf_data_identity'];
		
		$decodedDataConn = Crypto::decrypt($db_connector, $key);
		$dbName = $decodedDataConn;
		
		$link = mysqli_connect(DB_HOST, DB_USER, DB_PASSWORD,DB_DATABASE);
		if(!$link) {
			die('Failed to connect to server: ' . mysqli_error());
		}
		mysqli_query($link,"SET NAMES utf8");
		mysqli_query($link,"SET CHARACTER_SET utf8");
		$webconfquery = 'SELECT * FROM customer_shops where shop_name = "'.$requestedShop.'" and db_name = "'.$dbName.'" ';
		$webconf = mysqli_query($link,$webconfquery) or die (mysqli_error($link));
				
		$webconf_result = mysqli_num_rows($webconf);
		if($webconf_result == 1)
		{
			if(!$client) {
				$client = new MongoDB\Client($host);
			}
			
			$curTime = strtotime(date("d-m-Y H:i:s"));
			
			$sessionCheck = $client->$dbName->sessions;
			$filter = ['cookie'=>$cookieVal, 'expiry_time' => ['$gte' => $curTime] ];
			$sessionQuery = $sessionCheck->count($filter);
			if($sessionQuery == 1)
			{
				$redirectURLSession = $client->$dbName->settings_website;
				$redirectQuery = $redirectURLSession->findOne(['business_id'=>1,'id'=>1]);
				header("Location: ".$redirectQuery['applicationURL']);
			}
			else
			{
				$sessionDesc = "Session Expired";
			} 
		}
		else
		{
			//setcookie('mcf_data_identity','',time() - (7200), '/');
			//setcookie('mcf_data_session','',time() - (7200), '/');
			$sessionDesc = "Invalid Session";
		}
	}
	else
	{
		$sessionDesc = "Invalid Session2";
	}
}
else
{
	$sessionDesc = "Invalid Session3";
}

//// Full host : xxx.mycashflow.online

// if($current_host !== "www.mycashflow.online")
// {
	// header("Location: https://www.mycashflow.online/break.html");
// }
?>

<!DOCTYPE html>

<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en">
<!--<![endif]-->
<!-- BEGIN HEAD -->

<head>
    <meta charset=" utf-8 " />
    <title>MY CashFlow || เข้าสู่ระบบ</title>
    <meta http-equiv="X-UA-Compatible " content="IE=edge ">
    <meta content="width=device-width, initial-scale=1 " name="viewport " />
    <meta content="Preview page of Metronic Admin Theme #4 for " name="description " />
    <meta content=" " name="author " />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Prompt:300,400,500,600,700 " rel="stylesheet ">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all " rel="stylesheet " type="text/css " />
    <link href="../assets/global/plugins/font-awesome/css/font-awesome.min.css " rel="stylesheet " type="text/css " />
    <link href="../assets/global/plugins/simple-line-icons/simple-line-icons.min.css " rel="stylesheet " type="text/css " />
    <link href="../assets/global/plugins/bootstrap/css/bootstrap.min.css " rel="stylesheet " type="text/css " />
    <link href="../assets/global/plugins/bootstrap-switch/css/bootstrap-switch.min.css " rel="stylesheet " type="text/css " />
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL PLUGINS -->
    <link href="../assets/global/plugins/select2/css/select2.min.css " rel="stylesheet " type="text/css " />
    <link href="../assets/global/plugins/select2/css/select2-bootstrap.min.css " rel="stylesheet " type="text/css " />
    <!-- END PAGE LEVEL PLUGINS -->
    <!-- BEGIN THEME GLOBAL STYLES -->
    <link href="../assets/global/css/components-rounded.css " id="style_components " rel="stylesheet " type="text/css " />
    <link href="../assets/global/css/plugins.min.css " rel="stylesheet " type="text/css " />
    <!-- END THEME GLOBAL STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link href="../assets/pages/css/login.css " rel="stylesheet " type="text/css " />
    <!-- END PAGE LEVEL STYLES -->
    <!-- BEGIN THEME LAYOUT STYLES -->
    <!-- END THEME LAYOUT STYLES -->
    <link rel="shortcut icon " href="favicon.ico " /> </head>
<!-- END HEAD -->

<body class=" login ">
    <!-- BEGIN LOGO -->
    <!-- <div class="logo ">
           <a href="index.html ">
               <h3>MYCashflow</h3>
           </a>
        </div> -->
    <!-- END LOGO -->
    <!-- BEGIN LOGIN -->
    <div class="content-wrapper ">
        <div class="content ">
            <!-- BEGIN LOGIN FORM -->
            <form class="login-form " action="index.html " method="post ">

                <a class="form-title "><img src="../assets/layouts/app/img/cf-logo.png ">
                    <span class="h3">MYCashflow</span>
                </a>
                <span class="login-title ">เข้าระบบ</span>
			 <?php if ($hostDefined) : ?>
			 <input type="hidden" name="dbConn" value="<?php echo $requestedShop;?>" />
			 <?php endif; ?>
                <div class="alert alert-danger display-hide ">
                    <button class="close" data-close="alert"></button>
                    <span> Enter any username and password. </span>
                </div>
			 <?php if (!$hostDefined) : ?>	
			 <div class="form-group">
                    <!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
                    <label class="control-label visible-ie8 visible-ie9 ">ชื่อเว็บไซต์</label>
                    <input class="form-control form-control-solid placeholder-no-fix " type="text" autocomplete="off" placeholder="ชื่อเว็บไซต์ " name="dbConn"/> <sp</div>
			 <?php endif; ?>
                <div class="form-group">
                    <!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
                    <label class="control-label visible-ie8 visible-ie9 ">อีเมล์</label>
                    <input class="form-control form-control-solid placeholder-no-fix " type="text" autocomplete="off" placeholder="อีเมล์ " name="username" /> <sp</div>
                <div class="form-group">
                    <label class="control-label visible-ie8 visible-ie9 ">รหัสผ่าน</label>
                    <input class="form-control form-control-solid placeholder-no-fix " type="password" autocomplete="off" placeholder="รหัสผ่าน" name="password" /> </div>
                <div class="form-actions">
                    <button type="submit" class="btn green-haze btn-block login-btn">ล็อคอิน</button>
                    <div>
                        <label class="rememberme check mt-checkbox mt-checkbox-outline ">
                            <input type="checkbox" name="remember" value="1" />จำข้อมูล
                            <span></span>
                        </label>
                        <a href="javascript:;" id="forget-password " class="forget-password ">ลืมรหัสผ่าน?</a>
                    </div>
                    <div class="signup-text ">
                        <a>ยังไม่มีบัญชี? สมัครสมาชิก ฟรี</a>
                    </div>

                </div>
                <div class="login-options ">
                    <span class="login-title ">หรือล็อคอินด้วย</span>
                    <div class="form-social ">
                        <button type="submit " class="btn fb-btn btn-block ">Facebook ล็อคอิน</button>
                        <button type="submit " class="btn gg-btn btn-block ">Google ล็อคอิน</button>
                    </div>
                </div>
                <!-- <div class="create-account ">
                    <p>
                        <a href="javascript:; " id="register-btn " class="uppercase ">Create an account</a>
                    </p>
                </div> -->
            </form>
            <!-- END LOGIN FORM -->
            <!-- BEGIN FORGOT PASSWORD FORM -->
            <form class="forget-form " action="index.html " method="post ">
                <h3 class="font-green ">Forget Password ?</h3>
                <p> Enter your e-mail address below to reset your password. </p>
                <div class="form-group ">
                    <input class="form-control placeholder-no-fix " type="text " autocomplete="off " placeholder="Email " name="email " /> </div>
                <div class="form-actions ">
                    <button type="button " id="back-btn " class="btn green btn-outline ">Back</button>
                    <button type="submit " class="btn btn-success uppercase pull-right ">Submit</button>
                </div>
            </form>
            <!-- END FORGOT PASSWORD FORM -->
            <!-- BEGIN REGISTRATION FORM -->
            <form class="register-form " action="index.html " method="post ">
                <h3 class="font-green ">Sign Up</h3>
                <p class="hint "> Enter your personal details below: </p>
                <div class="form-group ">
                    <!--ie8, ie9 does not support html5 placeholder, so we just show field title for that-->
                    <label class="control-label visible-ie8 visible-ie9 ">Email</label>
                    <input class="form-control placeholder-no-fix " type="text " placeholder="Email " name="email " /> </div>

                <div class="form-group ">
                    <label class="control-label visible-ie8 visible-ie9 ">Password</label>
                    <input class="form-control placeholder-no-fix " type="password " autocomplete="off " id="register_password " placeholder="Password " name="password " /> </div>
                <div class="form-group margin-top-20 margin-bottom-20 ">
                    <label class="mt-checkbox mt-checkbox-outline ">
                        <input type="checkbox " name="tnc " /> I agree to the
                        <a href="javascript:; ">Terms of Service </a> &
                        <a href="javascript:; ">Privacy Policy </a>
                        <span></span>
                    </label>
                    <div id="register_tnc_error "> </div>
                </div>
                <div class="form-actions ">
                    <button type="button " id="register-back-btn " class="btn green btn-outline ">Back</button>
                    <button type="submit " id="register-submit-btn " class="btn btn-success uppercase pull-right ">Submit</button>
                </div>
            </form>
            <!-- END REGISTRATION FORM -->
            <div class="ssl "><i class="fa fa-lock " aria-hidden="true "></i> เว็บไซต์นี้ได้เข้ารหัสแบบ SSL 256-bit</div>
        </div>
        <div class="copyright hidden-xs "> 2017 © MYCashflow. </div>
    </div>
    <!--[if lt IE 9]>
<script src="../assets/global/plugins/respond.min.js "></script>
<script src="../assets/global/plugins/excanvas.min.js "></script> 
<script src="../assets/global/plugins/ie8.fix.min.js "></script> 
<![endif]-->
    <!-- BEGIN CORE PLUGINS -->
    <script src="../assets/global/plugins/jquery.min.js " type="text/javascript "></script>
    <script src="../assets/global/plugins/bootstrap/js/bootstrap.min.js " type="text/javascript "></script>
    <script src="../assets/global/plugins/js.cookie.min.js " type="text/javascript "></script>
    <script src="../assets/global/plugins/jquery-slimscroll/jquery.slimscroll.min.js " type="text/javascript "></script>
    <script src="../assets/global/plugins/jquery.blockui.min.js " type="text/javascript "></script>
    <script src="../assets/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js " type="text/javascript "></script>
    <!-- END CORE PLUGINS -->
    <!-- BEGIN PAGE LEVEL PLUGINS -->
    <script src="../assets/global/plugins/jquery-validation/js/jquery.validate.min.js " type="text/javascript "></script>
    <script src="../assets/global/plugins/jquery-validation/js/additional-methods.min.js " type="text/javascript "></script>
    <script src="../assets/global/plugins/select2/js/select2.full.min.js " type="text/javascript "></script>
    <!-- END PAGE LEVEL PLUGINS -->
    <!-- BEGIN THEME GLOBAL SCRIPTS -->
    <script src="../assets/global/scripts/app.min.js " type="text/javascript "></script>
    <!-- END THEME GLOBAL SCRIPTS -->
    <!-- BEGIN PAGE LEVEL SCRIPTS -->
    <script src="../assets/pages/scripts/login.js " type="text/javascript "></script>
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME LAYOUT SCRIPTS -->
	<script src="../assets/global/plugins/cryptoJS/components/core-min.js" type="text/javascript "></script>
	<script src="../assets/global/plugins/cryptoJS/components/md5.js" type="text/javascript "></script>
    <!-- END THEME LAYOUT SCRIPTS -->
</body>

</html>