<?php
include('collection_lists.php');

$raw_input = file_get_contents("php://input");
$input = json_decode($raw_input);
$item_det = (array)$input->items;
$user_det = (array)$input->user;

$collection = $client->$dbNameConnector->invoice_items;


$count = $collection->count();
//$new_id = $count+1;
$insert_array = [];

foreach( $item_det as $item) {
	$count ++;
	$insert_dat = [
				'item_id' => $count,
				'name' => $item->name,
				'description'=> $item->description,
				'unit_price' => $item->unit_price,
				'number' => $item->number,
				"create_date"=>date("d-m-Y H:i:s"),
				"create_user"=> $user_det, 
				"update_date"=>null, 
				"update_user" => [ 
					'mcf_user_id'=>null,
					"user_name"=> null
					],
				"visible"=>1
			];
	
	array_push($insert_array,$insert_dat);
}
	
$result = $collection->insertMany($insert_array);

if($result->getInsertedCount() ==  count($item_det) )
{
	$result_data = array('success'=>true);
}
else
{
	$result_data = array('success'=>false);
}
echo json_encode($result_data);
?>