<?php
define('IS_AJAX',strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest' && strtolower($_SERVER['HTTP_X_REQUESTED_BY']) == 'mcfapplication');

if(!IS_AJAX) {die('Restricted access');}
/* error_reporting(E_ALL);
ini_set('display_errors', 1); */
$current_host =  $_SERVER['HTTP_HOST'];
if(strpos($current_host,"localhost") !== false)
{
	require '/var/www/html/mcf_merged/cdn/vendor/autoload.php';
}
else
{
	if(isset($registerInclude))
	{
		require $includePath.'vendor/autoload.php';
	}
	else if(isset($forgotPwdInlcude))
	{
		require $dir_path.'vendor/autoload.php';
	}
	else if(isset($invoicePrint))
	{
		require $dir_path.'vendor/autoload.php';
	}
	else
	{
		require '../../vendor/autoload.php';
	}
}
use Defuse\Crypto\Key;
use Defuse\Crypto\Crypto;
date_default_timezone_set('Asia/Bangkok'); 
bcscale(2);
$collection_menu_types = array(
	'rcv'			=>	'receivings_menu',
	'rcv_adv'			=>	'advanced_receivings',
	'rcv_adv_trans'	=>	'advanced_receivings',
	'rcv_trans'		=>	'receivings_trans',
	'rcv_acc'			=>	'debtor_accounts',
	'exp'			=>	'expenses_menu',
	'exp_adv'			=>	'advanced_expenses',
	'exp_adv_trans'	=>	'advanced_expenses',
	'exp_trans'		=>	'expenses_trans',
	'exp_acc'			=>	'creditor_accounts'
);

$current_host =  $_SERVER['HTTP_HOST'];
if(strpos($current_host,"localhost") !== false)
{
	//$host = "mongodb://localhost:27017";
	$host = "mongodb://ec2-54-179-138-82.ap-southeast-1.compute.amazonaws.com:27017";
	$options = [
		// 'username'=>'mcfApp'
		// ,'password'=>'mcf@app'
		// ,'authSource'=>'admin'
	];
	$options = [];
	$remoteDB = false;
}
else
{
	#$host = "mongodb://ec2-54-255-231-165.ap-southeast-1.compute.amazonaws.com:27017";
	$host = "mongodb://ec2-54-179-138-82.ap-southeast-1.compute.amazonaws.com:27017";
	$options = [
		// 'username'=>'mcfApp'
		// ,'password'=>'mcf@app'
		// ,'authSource'=>'admin'
	];
}

if(isset($regConDB))
{
	$dbConnector = [ 'name' => $regConString ];
	$dbNameConnector = $dbConnector['name'];
	$client = new MongoDB\Client($host,$options);
}
else 
{
	if(!isset($client)) {
		$client = new MongoDB\Client($host,$options);
	}
	
	if(strpos($current_host,"localhost") !== false)
	{
		$dbNameConnector = "mcf_devteam";
	}
	else if($current_host !== "www.mycashflow.online")
	{
		if(isset($hostDefined))
		{
			$dbNameConnector = $hostDefined;
		}
		else
		{
			$urlHostSegment = explode(".",$current_host);
			$dbNameConnector = "mcf_".$urlHostSegment[0];
		}
	}
	else 
	{
		if(isset($_COOKIE['mcf_data_identity']))
		{
			$db_connector = $_COOKIE['mcf_data_identity'];
			//$keyASCII = file_get_contents("/var/www/html/mycashflow/app/php_data/connectorKey.txt");
			if(strpos($current_host,"localhost") !== false)
			{
				$keyASCII = file_get_contents("/var/www/html/myinvoice/app/php_data/connectorKey.txt");
			}
			else
			{
				$keyASCII = file_get_contents("/opt/bitnami/apache2/htdocs/cdn/app/php_data/connectorKey.txt");
			}
			
			$key = Key::loadFromAsciiSafeString($keyASCII);
			$decodedDataConn = Crypto::decrypt($db_connector, $key);
			
			$dbConnector = [ 'name' => $decodedDataConn ];
			
			$dbNameConnector = $dbConnector['name'];
		}
		else
		{
			if(isset($dbConn))
			{
				$dbNameConnector = "mcf_".$dbConn;
			}
		}
	}
}
function crypto_rand_secure($min, $max)
{
    $range = $max - $min;
    if ($range < 1) return $min; // not so random...
    $log = ceil(log($range, 2));
    $bytes = (int) ($log / 8) + 1; // length in bytes
    $bits = (int) $log + 1; // length in bits
    $filter = (int) (1 << $bits) - 1; // set all lower bits to 1
    do {
        $rnd = hexdec(bin2hex(openssl_random_pseudo_bytes($bytes)));
        $rnd = $rnd & $filter; // discard irrelevant bits
    } while ($rnd >= $range);
    return $min + $rnd;
}

function getToken($length)
{
    $token = "";
    $codeAlphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    $codeAlphabet.= "abcdefghijklmnopqrstuvwxyz";
    $codeAlphabet.= "0123456789";
    $max = strlen($codeAlphabet); // edited
	
    for ($i=0; $i < $length; $i++) {
        $token .= $codeAlphabet[crypto_rand_secure(0, $max)];
    }
	
    return $token;
}	