<?php
include('collection_lists.php');

/* error_reporting(E_ALL);
ini_set('display_errors', 1);
 */
$success = true;
$date = date("Y-m-d H:i:s");							
$raw_input = file_get_contents("php://input");
$input = json_decode($raw_input);
$type = $input->type;
$id = $input->mongoId;
$cashflow_trans_id = $input->cashflowTrans;									   
$collection = $client->$dbNameConnector->{$type};
$filter  = [ '_id' => new MongoDB\BSON\ObjectID("$id")];
$update = [
	'$set' => [
		"visible" => 0,
		"update_date"=> $date, 
		"update_user" => (array)$input->user
	]
];
$updateResult = $collection->updateOne($filter,$update);
$success &= $updateResult->getModifiedCount();
/* delete cashflow trans if any */
if( $cashflow_trans_id ){
	$menu_name = $type == "income_documents" ? "receivings_trans" : "expenses_trans";
	$collection = $client->$dbNameConnector->$menu_name;
	$updateResult = $collection->updateOne(
		[ '_id' => new MongoDB\BSON\ObjectID("$cashflow_trans_id") ],
		['$set' => ['visible' => 0, 'update_date'=> $date, 'update_user.mcf_user_id' => $input->user->mcf_user_id, 'update_user.user_name' => $input->user->user_name]]
	);
	$success &= $updateResult->getModifiedCount();
}
echo json_encode(['success'=>$success]);
?>