<?php
include('collection_lists.php');

$business_id = $_GET['business_id'] !== "" ? (int)$_GET['business_id'] : 1;

$month_names = array("01"=>"มกราคม",  
        "02"=>"กุมภาพันธ์",  
        "03"=>"มีนาคม",  
        "04"=>"เมษายน",  
        "05"=>"พฤษภาคม",  
        "06"=>"มิถุนายน",  
        "07"=>"กรกฎาคม",  
        "08"=>"สิงหาคม",  
        "09"=>"กันยายน", 
        "10"=>"ตุลาคม", 
        "11"=>"พฤศจิกายน", 
        "12"=>"ธันวาคม" 
); 
$month_name = $month_names["".date("m").""];

$start_date = $_GET['startDate'] == "" ? strtotime(date('01-m-Y',strtotime('this month'))) : strtotime(date('d-m-Y',strtotime($_GET['startDate']))) ;
$end_date =  $_GET['endDate'] == "" ? strtotime(date('t-m-Y',strtotime('this month')))  : strtotime(date('d-m-Y',strtotime($_GET['endDate']))) ;
$type = $_GET['type'] == "" ? '1' :  $_GET['type'];
$category = $_GET['category'] == ""? '1' : $_GET['category'];

$receivings_select = 'rcv_trans';
$receivings_adv_select = 'rcv_adv';
$expenses_select = 'exp_trans';
$expenses_adv_select = 'exp_adv';
$query_period_string = "-".date("m")."-".date("Y");

$category_array = array(
	'1' => 	'cfo',
	'2'	=>	'cfi',
	'3'	=>	'cff',
	'4'	=>	'all'
);


if($category < 4)
{
	$filter  = [ 'visible' => 1 , 'business_id' => $business_id, 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date], 'lv1_menu' => "".$category_array[$category]."" ];
}
else
{
	$filter  = [ 'visible' => 1 , 'business_id' => $business_id, 'trans_date' => ['$gte'=>$start_date,'$lte'=>$end_date] ];
}

$options = ['sort' => ['mcf_trans_id' => 1]];
$rcvMenuQuery = array();
$expMenuQuery = array();
$cfoSummary = array();
$cfiSummary = array();
$cffSummary = array();
$summaryCashflow = array( 
	'cfo'	=>	array('summary' => 0, 'summary_forecast' => 0, 'summary_formatted' => 0.00),
	'cff'	=>	array('summary' => 0, 'summary_forecast' => 0, 'summary_formatted' => 0.00),
	'cfi'	=>	array('summary' => 0, 'summary_forecast' => 0, 'summary_formatted' => 0.00)
);

/* Pie Chart Data */
if($type == 1)
{
	$trans_menu = $collection_menu_types[$receivings_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter,$options);
	$temp = array();


	$rcv_cfo = 0.00;
	$rcv_cff = 0.00;
	$rcv_cfi = 0.00;
	$exp_cfo = 0.00;
	$exp_cff = 0.00;
	$exp_cfi = 0.00;

		//print_r($cursor);
	foreach ($cursor as $doc) {
			$new_val_substring = str_replace(",","",$doc->trans_val);
			$new_val = floatval($new_val_substring);
		if(array_key_exists($doc->lv1_menu,$rcvMenuQuery))
		{	

			$current_val = $rcvMenuQuery[$doc->lv1_menu]['trans_val'];
			$rcvMenuQuery[$doc->lv1_menu]['trans_val'] = floatval(bcadd($current_val,$new_val,2));

			$current_summary_val = floatval($summaryCashflow[$doc->lv1_menu]['summary']);
			$summaryCashflow[$doc->lv1_menu]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));		
		}
		else 
		{
			$rcvMenuQuery[($doc->lv1_menu)]['trans_val'] = $new_val;

			$current_summary_val = floatval($summaryCashflow[$doc->lv1_menu]['summary']);
			$summaryCashflow[$doc->lv1_menu]['summary'] = floatval(bcadd($current_summary_val,$new_val,2));
		}
		if($doc->lv1_menu == "cfo")
		{
			$rcv_cfo += $new_val;
		}
		else if($doc->lv1_menu == "cfi")
		{
			$rcv_cfi += $new_val;
		}
		else if($doc->lv1_menu == "cff")
		{
			$rcv_cff += $new_val;
		}
	}


	$trans_menu = $collection_menu_types[$expenses_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter,$options);

	foreach ($cursor as $doc) {
		$new_val_substring = str_replace(",","",$doc->trans_val);
		$new_val = floatval($new_val_substring);
		if(array_key_exists($doc->lv1_menu,$expMenuQuery))
		{
			$current_val = $expMenuQuery[$doc->lv1_menu]['trans_val'];
			$expMenuQuery[($doc->lv1_menu)]['trans_val'] = floatval(bcadd($current_val,$new_val,2));

			$current_summary_val = floatval($summaryCashflow[$doc->lv1_menu]['summary']);
			$summaryCashflow[$doc->lv1_menu]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));		
		}
		else 
		{
			$expMenuQuery[($doc->lv1_menu)]['trans_val'] = $new_val;

			$current_summary_val = floatval($summaryCashflow[$doc->lv1_menu]['summary']);
			$summaryCashflow[$doc->lv1_menu]['summary'] = floatval(bcsub($current_summary_val,$new_val,2));
		}
		if($doc->lv1_menu == "cfo")
		{
			$exp_cfo += $new_val;
		}
		else if($doc->lv1_menu == "cfi")
		{
			$exp_cfi += $new_val;
		}
		else if($doc->lv1_menu == "cff")
		{
			$exp_cff += $new_val;
		}
	}

	$summaryCashflow['cfo']['summary_formatted'] = number_format($summaryCashflow['cfo']['summary'],2,".",",");
	$summaryCashflow['cff']['summary_formatted'] = number_format($summaryCashflow['cff']['summary'],2,".",",");
	$summaryCashflow['cfi']['summary_formatted'] = number_format($summaryCashflow['cfi']['summary'],2,".",",");


	$rcv_summ_category = array('cfo'=>number_format($rcv_cfo,2,".",","),'cff'=>number_format($rcv_cff,2,".",","),'cfi'=>number_format($rcv_cfi,2,".",","));
	$exp_summ_category = array('cfo'=>number_format($exp_cfo,2,".",","),'cff'=>number_format($exp_cff,2,".",","),'cfi'=>number_format($exp_cfi,2,".",","));

	$datetime1 = new DateTime("@$start_date"); 
	$datetime2 = new DateTime("@$end_date");

	$interval = date_diff($datetime1, $datetime2);
	$number_of_days =  $interval->format('%a');

	$start_date = date('d-m-Y',$start_date) ;
	$end_date =  date('d-m-Y',$end_date) ;
	$report_header = $start_date." - ".$end_date;

	//Advanced Receivings Summary
	$rcvAdv = 0.00;
	$trans_menu = $collection_menu_types[$receivings_adv_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter);
	
	foreach ($cursor as $doc) {
		$rcvAdv = floatval(bcadd($rcvAdv,$doc['trans_val'],2));
	}
	
	//Advanced Expenses Summary
	$expAdv = 0.00;
	$trans_menu = $collection_menu_types[$expenses_adv_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter);
	
	foreach ($cursor as $doc) {
		$expAdv = floatval(bcadd($expAdv,$doc['trans_val'],2));
	}
	
	echo json_encode(array('rcv_adv_summ'=>$rcvAdv,'exp_adv_summ'=>$expAdv,'rcv_summ'=>$rcv_summ_category,'exp_summ'=>$exp_summ_category,'rcv'=>$rcvMenuQuery,'exp'=>$expMenuQuery,'summary'=>$summaryCashflow,'month'=>$month_name,'number_of_days'=>$number_of_days,'start_date'=>$start_date,'end_date'=>$end_date,'report_header'=>$report_header,'chartType'=>$category_array[$category]));
}


/* Column + Line Chart Data */
if($type == 2 || $type == 3)
{


	$datetime1 = new DateTime("@$start_date"); 
	$datetime2 = new DateTime("@$end_date");

	$interval = date_diff($datetime1, $datetime2);
	$number_of_days =  $interval->format('%a');

	$end_datetime = $end_date +  24*60*60*2;
	$new_enddatetime = new DateTime("@$end_datetime");
	$period = new DatePeriod(
	     $datetime1,
	     new DateInterval('P1D'),
	     $new_enddatetime,
		 DatePeriod::EXCLUDE_START_DATE
	);

	//$period_array = iterator_to_array($period);
	foreach( $period as $date) { $period_array[] = $date->format('d-m'); }
	$period_size = sizeof($period_array);
	

	$trans_menu = $collection_menu_types[$receivings_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter,$options);
	foreach ($cursor as $doc) {
		$rcvMenuQuery[] = ($doc);
	}

	$trans_menu = $collection_menu_types[$expenses_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter,$options);
	foreach ($cursor as $doc) {
		$expMenuQuery[] = ($doc);
	}

	$rcv_data_size = sizeof($rcvMenuQuery);
	$exp_data_size = sizeof($expMenuQuery);


	$rcv_cfo = 0.00;
	$rcv_cff = 0.00;
	$rcv_cfi = 0.00;
	$exp_cfo = 0.00;
	$exp_cff = 0.00;
	$exp_cfi = 0.00;
	$sum_total = 0.00;
	$cfo_data = new ArrayObject();
	$cff_data = new ArrayObject();
	$cfi_data = new ArrayObject();


	$cfo_array = array();
	$cfi_array = array();
	$cff_array = array();

	// Create summary for each date
	for($i=0;$i<$rcv_data_size;$i++)
	{
		$formatted_date = date("d-m-Y",$rcvMenuQuery[$i]['trans_date']);
		$rcvMenuQuery[$i]['original_date'] = $rcvMenuQuery[$i]['trans_date'];
		$rcvMenuQuery[$i]['trans_date'] = $formatted_date;
		$trans_date = substr($formatted_date,0,5);
		$val = str_replace(",","",$rcvMenuQuery[$i]['trans_val']);
		$float_val = floatval($val);
		if($rcvMenuQuery[$i]['lv1_menu'] == "cfo")
		{
			if(($cfo_array[$trans_date]))
			{
				$old_sum = $cfo_array[$trans_date]['sum'];
				$cfo_array[$trans_date]['sum'] = floatval(bcadd($old_sum,$float_val,2));
			}
			else
			{
				$cfo_array[$trans_date] = array(
					'sum' => $float_val
				);
			}
			$rcv_cfo += $float_val;
		}
		else if($rcvMenuQuery[$i]['lv1_menu'] == "cfi")
		{
			if(($cfi_array[$trans_date]))
			{
				$old_sum = $cfi_array[$trans_date]['sum'];
				$cfi_array[$trans_date]['sum'] = floatval(bcadd($old_sum,$float_val,2));
			}
			else
			{
				$cfi_array[$trans_date] = array(
					'sum' => $float_val
				);
			}
			$rcv_cfi += $float_val;
		}
		else if($rcvMenuQuery[$i]['lv1_menu'] == "cff")
		{
			if(($cff_array[$trans_date]))
			{
				$old_sum = $cff_array[$trans_date]['sum'];
				$cff_array[$trans_date]['sum'] = floatval(bcadd($old_sum,$float_val,2));
			}
			else
			{
				$cff_array[$trans_date] = array(
					'sum' => $float_val
				);
			}
			$rcv_cff += $float_val;
		}

		$sum_receivings = floatval(bcadd($sum_receivings,$float_val,2));
	}


	for($i=0;$i<$exp_data_size;$i++)
	{
		$formatted_date = date("d-m-Y",$expMenuQuery[$i]['trans_date']);
		$expMenuQuery[$i]['original_date'] = $expMenuQuery[$i]['trans_date'];
		$expMenuQuery[$i]['trans_date'] = $formatted_date;
		$trans_date = substr($formatted_date,0,5);
		$val = str_replace(",","",$expMenuQuery[$i]['trans_val']);
		$float_val = floatval($val);
		if($expMenuQuery[$i]['lv1_menu'] == "cfo")
		{
			if(($cfo_array[$trans_date]))
			{
				$old_sum = $cfo_array[$trans_date]['sum'];
				$cfo_array[$trans_date]['sum'] = floatval(bcsub($old_sum,$float_val,2));
			}
			else
			{
				$cfo_array[$trans_date]['sum'] = $float_val*-1;
			}
			$exp_cfo += $float_val;
		}
		else if($expMenuQuery[$i]['lv1_menu'] == "cfi")
		{
			if(($cfi_array[$trans_date]))
			{
				$old_sum = $cfi_array[$trans_date]['sum'];
				$cfi_array[$trans_date]['sum'] = floatval(bcsub($old_sum,$float_val,2));
			}
			else
			{
				$cfi_array[$trans_date]['sum'] = $float_val*-1;
			}
			$exp_cfi += $float_val;
		}
		else if($expMenuQuery[$i]['lv1_menu'] == "cff")
		{
			if(($cff_array[$trans_date]))
			{
				$old_sum = $cff_array[$trans_date]['sum'];
				$cff_array[$trans_date]['sum'] = floatval(bcsub($old_sum,$float_val,2));
			}
			else
			{
				$cff_array[$trans_date]['sum'] = $float_val*-1;
			}
			$exp_cff += $float_val;
		}
		$sum_expenses = floatval(bcadd($sum_expenses,$float_val,2));
	}


	for ($i=0;$i<=$period_size;$i++)
	{
		//$cur_date = str_pad($i, 2, "0", STR_PAD_LEFT);
		$cur_date = $period_array[$i];
		if(($cfo_array[$cur_date]))
		{
			$cfo_data->append($cfo_array[$cur_date]['sum']);
		}
		else 
		{
			$cfo_data->append(floatval("0"));
		}

		if(($cfi_array[$cur_date]))
		{
			$cfi_data->append($cfi_array[$cur_date]['sum']);
		}
		else 
		{
			$cfi_data->append(floatval("0"));
		}

		if(($cff_array[$cur_date]))
		{
			$cff_data->append($cff_array[$cur_date]['sum']);
		}
		else 
		{
			$cff_data->append(floatval("0"));
		}

	}

	$start_date = date('d-m-Y',$start_date) ;
	$end_date =  date('d-m-Y',$end_date) ;
	$report_header = $start_date." - ".$end_date;

	//Advanced Receivings Summary
	
	$rcvAdv = 0.00;
	$trans_menu = $collection_menu_types[$receivings_adv_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter);
	
	foreach ($cursor as $doc) {
		$rcvAdv = floatval(bcadd($rcvAdv,$doc['trans_val'],2));
	}
	
	//Advanced Expenses Summary
	$expAdv = 0.00;
	$trans_menu = $collection_menu_types[$expenses_adv_select];
	$collection = $client->$dbNameConnector->$trans_menu;
	$cursor = $collection->find($filter);
	
	foreach ($cursor as $doc) {
		$expAdv = floatval(bcadd($expAdv,$doc['trans_val'],2));
	}
	
	
	echo json_encode(array('rcv_adv_summ'=>$rcvAdv,'exp_adv_summ'=>$expAdv,'rcv_q'=>$rcvMenuQuery,'exp_q'=>$expMenuQuery,'cfo'=>$cfo_data,'cff'=>$cff_data,'cfi'=>$cfi_data, 'cfo_array'=>$cfo_array,'cff_array'=>$cff_array,'cfi_array'=>$cfi_array,'summary'=>$summaryCashflow,'period_array'=>$period_array,'month'=>$month_name,'number_of_days'=>$period_size,'start_date'=>$start_date,'end_date'=>$end_date,'report_header'=>$report_header,'chartType'=>$category_array[$category]));
}

?>