<?php
include('collection_lists.php');

//$business_id = $_GET['business_id'] !== "" ? (int)$_GET['business_id'] : 1;
$form = $_GET['form'];
$is_item_VAT = $_GET['is_item_VAT'] == 1;
if($form == "receipt"){
	$ref_form = ["invoice","delivery_note","quotation"];
} elseif ($form == "delivery_note" || $form == "invoice"){
	$ref_form = ["quotation"];
} else {
	echo json_encode([]);exit;
}
$collection = $client->$dbNameConnector->income_documents;

$query = array();

$filter  = [ 'visible' => 1, 'summary.form' => [ '$in' => $ref_form ], 'referred_by' => [ '$exists' => false ], 'summary.itemVAT' => $is_item_VAT ];
$options = ['sort' => ['create_date' => 1]];

$cursor = $collection->find($filter,$options);
foreach ($cursor as $key => $doc) {
	// $doc['index'] = $key + 1;
	$doc['summary']['total_int'] = $doc['summary']['total'];
	$doc['summary']['total'] = number_format($doc['summary']['total_int'],2,".",",");
	$doc['searchDesc'] = "{$doc['customer_detail']['name']}, ยอดเงินสุทธิ  {$doc['summary']['total']} บาท";
	$doc['last_update_user'] = $doc['update_user']['user_name'] == null ? $doc['create_user']['user_name'] : $doc['update_user']['user_name'];
	$query[] = ($doc);
}

echo json_encode($query);
?>