<?php
include('collection_lists.php');

$menu_type = $_GET['menu_type'];
$mod = $_GET['mod'];
$business_id = $_GET['business_id'] !== "" ? (int)$_GET['business_id'] : 1;
$menu_name = $collection_menu_types[$menu_type];
$collection = $client->$dbNameConnector->$menu_name;

$query = array();

$filter  = [ 'active' => 1 , 'business_id' => $business_id];
$options = ['sort' => ['mcf_id' => 1]];

$cursor = $collection->find($filter,$options);
foreach ($cursor as $doc) {
	$query[] = ($doc);
}

$result = array();
#options for data manipulation
switch ($mod) {
	case 'settings': # settings.revenue/expense
		//$tmp = array();
		foreach ($query as $key => $lv2)
		{
			$tmp = array(
				'active' => $lv2->active
				,'mcf_id'=> $lv2->mcf_id
				,'menu_type' => $lv2->menu_type
				,'form_type' => $lv2->form_type
				,'lv1_menu' => $lv2->lv1_menu
				,'lv2_name' => $lv2->name
				,'visible' => $lv2->visible
				,'default' => $lv2->default ? $lv2->default : false
			);
			array_push($result,$tmp);
			foreach ($lv2->lv3 as $key2 => $lv3)
			{
				if($lv3->active == 1)
				{
					$tmp2 = array(
						'active' => $lv3->active
						,'mcf_id'=> $lv2->mcf_id
						,'mcf_sub_id'=> $lv3->mcf_sub_id
						,'menu_type' => $lv2->menu_type
						,'form_type' => $lv2->form_type
						,'lv1_menu' => $lv2->lv1_menu
						,'lv3_name' => $lv3->name
						,'visible' => $lv3->visible
						,'default' => $lv3->default ? $lv3->default : false
					);
					array_push($result,$tmp2);
				}

			}
		}
		break;
	
	default:
		$result = $query;
		break;
}

echo json_encode($result);
?>