<?php
include('collection_lists.php');

  
$business_id = (int)$_GET['business_id'];
$session_Id = $_GET['session_id'];

$curTime = strtotime(date("d-m-Y H:i:s"));

$modPermissions = "";
$curPermissions = "";
$newPermissions = "";
$newUserPerm = "";

$collection = $client->$dbNameConnector->settings_personal;
$filter  = [ 'business_id' => (int)$business_id , 'mcf_personal_id' => 1];
$options = [];
$websiteName = $collection->findOne($filter,$options);

$sessionCheck = $client->$dbNameConnector->sessions;
$userCheck = $client->$dbNameConnector->users;
$sessionFilter = ['cookie'=>$session_Id, 'business_id'=>$business_id,'expiry_time' => ['$gte' => $curTime] ];

$sessionQuery = $sessionCheck->count($sessionFilter);
if($sessionQuery == 1)
{
	$sessionUser = $sessionCheck->findOne($sessionFilter);
	$userFilter = ['user_id' => $sessionUser->user_id, 'business_id' => $business_id, 'active' => 1];
	$userData = $userCheck->findOne($userFilter);
	
	
	$curDate = strtotime(date("Y-m-d"));
	$pkgEndDate = strtotime(str_replace("/","-",$websiteName->endDate));
	$pkgValid = ($curDate > $pkgEndDate) ? 0 : 1;
	
	
	/* check whether initial information has been provided or not */
	$initialSetupFlag = checkInitialSetup($websiteName,$userData);
	
	if(!isset($websiteName['email_alert']))
	{
		$addEmailAlertFilter = $collection->updateOne(
			[ 'business_id' => (int)$business_id , 'mcf_personal_id' => 1],
			[ '$set' => ['email_alert' => ['active' => 1, 'date_offset' => 3] ]]
		);
		$modPermissions .= ",settings-notification";
		
	}
	
	
	if(isset($websiteName['report_settings']))
	{
		$report_hidden 	= 	$websiteName['report_settings']->show_hidden;
		$report_deleted 	= 	$websiteName['report_settings']->show_deleted;
		$report_levels 	= 	$websiteName['report_settings']->show_levels;
	}
	else
	{
		$addReportFilter = $collection->updateOne(
			[ 'business_id' => (int)$business_id , 'mcf_personal_id' => 1],
			[ '$set' => ['report_settings' => ['show_hidden' => false, 'show_deleted' => false, 'show_levels' => 'lv2_only'] ]]
		);
		$modPermissions .= ",settings-report";
		$report_hidden 	= 	false;
		$report_deleted 	= 	false;
		$report_levels 	= 	"lv2_only";
		
	}
	$endPackageCheck = strtotime(str_replace("/","-",$websiteName['endDate']). " 23:59:59");
	if($curDate > $endPackageCheck)
	{
		$disableAdditionalUsers = $userCheck->updateMany(
			[ 'business_id' => (int)$business_id , 'user_id' => ['$gte'=>2]],
			[ '$set' => ['active' => 0 ]],
			[ 'multiple' => true]
		);
		$limitMaxUsers = $collection->updateOne(
			[ 'business_id' => (int)$business_id , 'mcf_personal_id' => 1],
			[ '$set' => ['max_users' => 1 ]]
		);
	}
	
	if($modPermissions !== "")
	{
		$modifyPermissionCollection = $client->$dbNameConnector->mcf_permissions;
		$filter  = [ 'business_id' => 1 ];
		$currentPermissionSet = $modifyPermissionCollection->findOne($filter);
		
		$curPermissions = $currentPermissionSet->modules['settings'];
		
		$newPermissions = $curPermissions.$modPermissions;
		$updatePermissions = $modifyPermissionCollection->updateOne(
			[ 'business_id' => 1],
			[ '$set' => ['modules.settings' => $newPermissions , 'update_date' => date("d-m-Y H:i:s")]]
		);
		
	}
	if($sessionUser->user_id == "1")
	{
		$checkPermissionIncluded = strpos($userData->permissions,"settings-reports");
		if($checkPermissionIncluded == false)
		{
			$newUserPerm = $userData->permissions.",settings-reports";
			$addUserReportPermission = $userCheck->updateOne(
				[ 'business_id' => (int)$business_id , 'user_id' => $sessionUser->user_id],
				[ '$set' => ['permissions' => $newUserPerm ]]
			);
		}
		
		$checkInvoicePermissionIncluded = strpos($userData->permissions,"settings-invoice");
		if($checkInvoicePermissionIncluded == false)
		{
			$newUserPerm = $userData->permissions.",settings-invoice,invoice-main,invoice-income-add,invoice-item,invoice-income-manage,invoice-income-edit,invoice-customer,invoice-income,invoice-expense,invoice-expense-add,invoice-expense-edit,invoice-expense-manage";
			$addUserReportPermission = $userCheck->updateOne(
				[ 'business_id' => (int)$business_id , 'user_id' => $sessionUser->user_id],
				[ '$set' => ['permissions' => $newUserPerm ]]
			);
			
			$mcfPerm = $client->$dbNameConnector->mcf_permissions;
			$filter  = [ 'business_id' => (int)$business_id , 'permission_set_id' => 1];
			$options = [];
			$permMainFilter = $mcfPerm->findOne($filter,$options);
			$newMCFPerm = $permMainFilter->modules;
			$addNewInvoicePermission = $newMCFPerm;
			$addNewInvoicePermission['invoice'] = "invoice";
			$insertNewInvoicePerm = $mcfPerm->updateOne(
				[ 'business_id' => (int)$business_id , 'permission_set_id' => 1],
				[ '$set' => ['modules' => $addNewInvoicePermission ]]
			);
			
			$settingsInvoiceNew = $client->$dbNameConnector->settings_invoice;
			$addSettingsInvoice = $settingsInvoiceNew->insertOne([ 
				"VAT_active" => 0, 
				"VAT_type" => 0, 
				"VAT_item_type" => 0, 
				"header_id" => 0, 
				"header_number_id" => 0, 
				"tax_invoice" => 
					[
						"attach_with" => "", 
						"form" => "ใบกำกับภาษี", 
						"title" => "ใบกำกับภาษี", 
						"prefix" => "TIN", 
						"middle" => "2017",
						"auto_increment" => "000001",
						"last_used_id" => ""
					],
				"document_configs" => 
					[
						"quotation" => 
							[
								"type" => "income",
								"form" => "ใบเสนอราคา",
								"title" => "ใบเสนอราคา",
								"prefix" => "QO",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => "",
								"author_title" => "อนุมัติโดย", 
								"receiver_title" => "ยอมรับใบเสนอราคา"
							],
						"invoice" => 
							[
								"type" => "income",
								"form" => "ใบแจ้งหนี้",
								"title" => "ใบแจ้งหนี้",
								"prefix" => "INV",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => "",
								"author_title" => "อนุมัติโดย",
								"receiver_title" => "ผู้รับใบแจ้งหนี้"
							],
						"receipt" => 
							[
								"type" => "income",
								"form" => "ใบเสร็จรับเงิน",
								"title" => "ใบเสร็จรับเงิน",
								"prefix" => "RI",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => "",
								"author_title" => "รับชำระ",
								"receiver_title" => "อนุมัติโดย"
							],
						"delivery_note" => 
							[
								"type" => "income",
								"form" => "ใบส่งของ",
								"title" => "ใบส่งของ",
								"prefix" => "DN",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => "",
								"author_title" => "ผู้ส่งสินค้า",
								"receiver_title" => "ผู้รับสินค้า"
							],
						"pre_receipt" => 
							[
								"type" => "income",
								"form" => "ใบรับเงินชั่วคราว",
								"title" => "ใบรับเงินชั่วคราว",
								"prefix" => "SRE",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => "",
								"author_title" => "รับชำระ",
								"receiver_title" => "อนุมัติโดย"
							],
						"custom_form" => 
							[
								"type" => "income",
								"form" => "เอกสารรายได้กำหนดเอง",
								"title" => "เอกสารรายได้กำหนดเอง",
								"prefix" => "CT",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => "",
								"author_title" => "รับชำระ",
								"receiver_title" => "อนุมัติโดย"
							],							
						"withholding_form" => 
							[
								"type" => "expense",
								"form" => "ใบหัก ณ ที่จ่าย",
								"title" => "ใบหัก ณ ที่จ่าย",
								"prefix" => "WTC",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => ""
							],
						"receive_form" => 
							[
								"type" => "expense",
								"form" => "ใบสำคัญรับเงิน",
								"title" => "ใบสำคัญรับเงิน",
								"prefix" => "RF",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => ""
							],
						"certificate_receipt" => 
							[
								"type" => "expense",
								"form" => "ใบรับรองแทนใบเสร็จรับเงิน",
								"title" => "ใบรับรองแทนใบเสร็จรับเงิน",
								"prefix" => "CR",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => ""
							],
						"custom_form" => 
							[
								"type" => "expense",
								"form" => "ใบรับรองแทนใบเสร็จรับเงิน",
								"title" => "ใบรับรองแทนใบเสร็จรับเงิน",
								"prefix" => "CR",
								"middle" => "2017",
								"auto_increment" => "000001",
								"last_used_id" => ""
							]							
					],
					"update_date" => null,
					"update_user" => 
						[
						"user_name" => null,
						"user_id" => null
						],
					"signature" => 
						[
						"active" => true,
						"path" => ""
						],
					"stamp" => 
						[
						"active" => true,
						"path" => ""
						],
					"logo" => 
						[
						"active" => true,
						"path" => ""
						],
					"print_as_set" => false
				]);
		}
		
	}
	
			
	//echo json_encode(array('success'=>true,'userID'=>$sessionUser->user_id,'userName'=>$userData->user_name,'firstName'=>$userData->first_name,'lastName'=>$userData->last_name,'businessName'=>$websiteName->name,'packageID'=>$websiteName->package_id,'packageName'=>$websiteName->package_name,'packageStart'=>$websiteName->startDate,'packageEnd'=>$websiteName->endDate,'mcf_member_id'=>$websiteName->mcf_member_id,'payment_pending'=>$websiteName->payment_pending,'package_valid'=>$pkgValid));
	$result = [
		'success'=>true,
		'endDate'=>$websiteName['endDate'],
		'endPack'=>$endPackageCheck,
		'curD'=>$curDate,
		'userID'=>$sessionUser->user_id,
		'userName'=>$userData->user_name,
		'firstName'=>$userData->first_name,
		'lastName'=>$userData->last_name,
		'businessName'=>$websiteName->name,
		'packageID'=>$websiteName->package_id,
		'packageName'=>$websiteName->package_name,
		'packageStart'=>$websiteName->startDate,
		'packageEnd'=>$websiteName->endDate,
		'mcf_member_id'=>$websiteName->mcf_member_id,
		'payment_pending'=>$websiteName->payment_pending,
		'package_valid'=>$pkgValid,
		'report_deleted'=>$report_deleted,
		'report_hidden'=>$report_hidden,
		'report_levels'=>$report_levels,
		'modPerm'=>$modPermissions,
		'curPerm'=>$curPermissions,
		'newPerm'=>$newPermissions,
		'checkPerm'=>$checkPermissionIncluded,
		'newUserPerm'=>$newUserPerm
		//personal' => $websiteName
		,'initialSetupFlag' => $initialSetupFlag
		,'companyData' => [
			'name' => $websiteName->name
			,'tax_id' => $websiteName->tax_id
			,'address' => is_string($websiteName->address) ? ['addr'=>$websiteName->address,'subdistrict'=>'','district'=>'','province'=>'','postcode'=>''] : $websiteName->address
			,'mobile' => $websiteName->mobile
			,'telephone' => $websiteName->telephone
			,'email' => $websiteName->email
			]
	];
	// echo json_encode(array('success'=>true,'endDate'=>$websiteName['endDate'],'endPack'=>$endPackageCheck,'curD'=>$curDate,'userID'=>$sessionUser->user_id,'userName'=>$userData->user_name,'firstName'=>$userData->first_name,'lastName'=>$userData->last_name,'businessName'=>$websiteName->name,'packageID'=>$websiteName->package_id,'packageName'=>$websiteName->package_name,'packageStart'=>$websiteName->startDate,'packageEnd'=>$websiteName->endDate,'mcf_member_id'=>$websiteName->mcf_member_id,'payment_pending'=>$websiteName->payment_pending,'package_valid'=>$pkgValid,'report_deleted'=>$report_deleted,'report_hidden'=>$report_hidden,'report_levels'=>$report_levels,'modPerm'=>$modPermissions,'curPerm'=>$curPermissions,'newPerm'=>$newPermissions,'checkPerm'=>$checkPermissionIncluded,'newUserPerm'=>$newUserPerm));
	echo json_encode($result);
}
else
{
	echo json_encode(array('success'=>false));
} 

function checkInitialSetup($company_info, $user_info){
	$status = ['company' => true, 'user' => true];
	$status['company'] &= !empty($company_info->name);
	$status['company'] &= !empty($company_info->tax_id);
	$status['user'] &= !empty($user_info->first_name);
	$status['user'] &= !empty($user_info->last_name);
	/* in case of existing user with string type address */
	if(gettype($company_info->address) == 'string') {
		$status &= !empty($company_info->address);
	} else {
		$status['company'] &= !empty($company_info->address->addr);
		$status['company'] &= !empty($company_info->address->district);
		$status['company'] &= !empty($company_info->address->subdistrict);
		$status['company'] &= !empty($company_info->address->province);
		$status['company'] &= !empty($company_info->address->postcode);
	}
	
	
	return $status;
}

?>