<?php
include('collection_lists.php');

$raw_input = file_get_contents("php://input");
$input = json_decode($raw_input);
$item_det = (array)$input->item;
$user_det = (array)$input->user;

$collection = $client->$dbNameConnector->invoice_items;


$count = $collection->count();
$new_id = $count+1;

$insert_dat = [
				'item_id' => $new_id,
				'name' => $item_det["name"],
				'description'=> $item_det["description"],
				'unit_price' => $item_det["unit_price"],
				'number' => $item_det["number"],
				"create_date"=>date("d-m-Y H:i:s"),
				"create_user"=> [ 
					'mcf_user_id'=>$user_det["user_id"],
					"user_name"=>$user_det["user_name"]
					], 
				"update_date"=>null, 
				"update_user" => [ 
					'mcf_user_id'=>null,
					"user_name"=> null
					],
				"visible"=>1
			];
			
$result = $collection->insertOne($insert_dat);

if($result->getInsertedCount() == 1)
{
	$result_data = array('success'=>true);
}
else
{
	$result_data = array('success'=>false);
}
echo json_encode($result_data);
?>