<?php

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'สำหรับระยะเวลา '.$month_array[$report_start_month].' - '.$month_array[$report_end_month].' '.$report_year);
$rowNum++;

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, '');

$monthHeader = 1;
for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
{
	$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
	$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $month_array[$monthVal]);
	$monthHeader++;
}

$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setWidth(40);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setWidth(10);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getFont()->setBold(true);
$rowNum++;

/*=========================LV2/LV3 LOOP ============================*/

/*===========CFO===========*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'กิจกรรมดำเนินงาน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getFill()->applyFromArray(
		array(
			'type'	   => PHPExcel_Style_Fill::FILL_SOLID,
			'rotation'   => 0,
			'startcolor' => array(
				'rgb' => 'd4d3d3'
			),
			'endcolor'   => array(
				'argb' => 'd4d3d3'
			)
		)
	);
$rowNum++;

foreach($rcvMenuHeaders['cfo'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
			$monthHeader = 1;
			for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
			{
				$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
				$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
				$rowM = (isset($summaryCashflow[$monthVal]["cfo"]["rcv"][$rcvMenuHeaders['cfo'][$key][0]['lv2_id']])) ? number_format($summaryCashflow[$monthVal]["cfo"]["rcv"][$rcvMenuHeaders['cfo'][$key][0]['lv2_id']],2) : "";
				
				$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowM);
				$monthHeader++;
			}
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
			$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorRcvArray['cfo']);$i++)
			{
				if($cursorRcvArray['cfo'][$i]['name'] == $val[$k]['name'] && $cursorRcvArray['cfo'][$i]['id'] == $val[$k]['lv2_id'] && $cursorRcvArray['cfo'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorRcvArray['cfo'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						$rowB = (isset($rcvMenuQuery[$monthVal]["cfo"][$key]) && $rcvMenuQuery[$monthVal]["cfo"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvMenuQuery[$monthVal]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? number_format($rcvMenuQuery[$monthVal]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']],2) : "";
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowB);
						$monthHeader++;
					}
					
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

foreach($expMenuHeaders['cfo'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
			$monthHeader = 1;
			for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
			{
				$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
				$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
				$rowM = (isset($summaryCashflow[$monthVal]["cfo"]["exp"][$expMenuHeaders['cfo'][$key][0]['lv2_id']])) ? number_format($summaryCashflow[$monthVal]["cfo"]["exp"][$expMenuHeaders['cfo'][$key][0]['lv2_id']]*-1,2) : "";
				
				$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowM);
				$monthHeader++;
			}
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
			$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorExpArray['cfo']);$i++)
			{
				if($cursorExpArray['cfo'][$i]['name'] == $val[$k]['name'] && $cursorExpArray['cfo'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cfo'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorExpArray['cfo'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						$rowB = (isset($expMenuQuery[$monthVal]["cfo"][$key]) && $expMenuQuery[$monthVal]["cfo"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expMenuQuery[$monthVal]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? number_format($expMenuQuery[$monthVal]["cfo"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1,2) : "";
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowB);
						$monthHeader++;
					}
					
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,  'เงินสดสุทธิจากกิจกรรมดำเนินงาน:');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getBorders()->getTop()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);

$monthHeader = 1;
for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
{
	$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
	$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
	$sumCFO = isset($summaryCashflow[$monthVal]["cfo"]["summary"]) ? number_format($summaryCashflow[$monthVal]["cfo"]["summary"],2) : 0.00;
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $sumCFO);
	$monthHeader++;
}
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');			
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum = $rowNum+2;


/*===========CFI===========*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'กิจกรรมลงทุน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getFill()->applyFromArray(
		array(
			'type'	   => PHPExcel_Style_Fill::FILL_SOLID,
			'rotation'   => 0,
			'startcolor' => array(
				'rgb' => 'd4d3d3'
			),
			'endcolor'   => array(
				'argb' => 'd4d3d3'
			)
		)
	);

$rowNum++;

foreach($rcvMenuHeaders['cfi'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
			$monthHeader = 1;
			for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
			{
				$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
				$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
				$rowM = (isset($summaryCashflow[$monthVal]["cfi"]["rcv"][$rcvMenuHeaders['cfi'][$key][0]['lv2_id']])) ? number_format($summaryCashflow[$monthVal]["cfi"]["rcv"][$rcvMenuHeaders['cfi'][$key][0]['lv2_id']],2) : "";
				
				$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowM);
				$monthHeader++;
			}
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
			$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorRcvArray['cfi']);$i++)
			{
				if($cursorRcvArray['cfi'][$i]['name'] == $val[$k]['name'] && $cursorRcvArray['cfi'][$i]['id'] == $val[$k]['lv2_id'] && $cursorRcvArray['cfi'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorRcvArray['cfi'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						$rowB = (isset($rcvMenuQuery[$monthVal]["cfi"][$key]) && $rcvMenuQuery[$monthVal]["cfi"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvMenuQuery[$monthVal]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? number_format($rcvMenuQuery[$monthVal]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']],2) : "";
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowB);
						$monthHeader++;
					}
					
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

foreach($expMenuHeaders['cfi'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
			$monthHeader = 1;
			for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
			{
				$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
				$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
				$rowM = (isset($summaryCashflow[$monthVal]["cfi"]["exp"][$expMenuHeaders['cfi'][$key][0]['lv2_id']])) ? number_format($summaryCashflow[$monthVal]["cfi"]["exp"][$expMenuHeaders['cfi'][$key][0]['lv2_id']]*-1,2) : "";
				
				$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowM);
				$monthHeader++;
			}
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
			$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorExpArray['cfi']);$i++)
			{
				if($cursorExpArray['cfi'][$i]['name'] == $val[$k]['name'] && $cursorExpArray['cfi'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cfi'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorExpArray['cfi'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						$rowB = (isset($expMenuQuery[$monthVal]["cfi"][$key]) && $expMenuQuery[$monthVal]["cfi"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expMenuQuery[$monthVal]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? number_format($expMenuQuery[$monthVal]["cfi"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1,2) : "";
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowB);
						$monthHeader++;
					}
					
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,  'เงินสดสุทธิจากกิจกรรมลงทุน:');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getBorders()->getTop()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);

$monthHeader = 1;
for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
{
	$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
	$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
	$sumCFO = isset($summaryCashflow[$monthVal]["cfi"]["summary"]) ? number_format($summaryCashflow[$monthVal]["cfi"]["summary"],2) : 0.00;
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $sumCFO);
	$monthHeader++;
}
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');			
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum = $rowNum+2;

/*===========CFF===========*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, 'กิจกรรมจัดหาเงิน :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getFill()->applyFromArray(
		array(
			'type'	   => PHPExcel_Style_Fill::FILL_SOLID,
			'rotation'   => 0,
			'startcolor' => array(
				'rgb' => 'd4d3d3'
			),
			'endcolor'   => array(
				'argb' => 'd4d3d3'
			)
		)
	);

$rowNum++;

foreach($rcvMenuHeaders['cff'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
			$monthHeader = 1;
			for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
			{
				$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
				$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
				$rowM = (isset($summaryCashflow[$monthVal]["cff"]["rcv"][$rcvMenuHeaders['cff'][$key][0]['lv2_id']])) ? number_format($summaryCashflow[$monthVal]["cff"]["rcv"][$rcvMenuHeaders['cff'][$key][0]['lv2_id']],2) : "";
				
				$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowM);
				$monthHeader++;
			}
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
			$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorRcvArray['cff']);$i++)
			{
				if($cursorRcvArray['cff'][$i]['name'] == $val[$k]['name'] && $cursorRcvArray['cff'][$i]['id'] == $val[$k]['lv2_id'] && $cursorRcvArray['cff'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorRcvArray['cff'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						$rowB = (isset($rcvMenuQuery[$monthVal]["cff"][$key]) && $rcvMenuQuery[$monthVal]["cff"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($rcvMenuQuery[$monthVal]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? number_format($rcvMenuQuery[$monthVal]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']],2) : "";
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowB);
						$monthHeader++;
					}
					
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

foreach($expMenuHeaders['cff'] as $key=>$val)
{
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,$key);
	//$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setUnderline(true);
	$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(1);
	if($report_levels == "lv2_only")
	{
			$monthHeader = 1;
			for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
			{
				$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
				$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
				$rowM = (isset($summaryCashflow[$monthVal]["cff"]["exp"][$expMenuHeaders['cff'][$key][0]['lv2_id']])) ? number_format($summaryCashflow[$monthVal]["cff"]["exp"][$expMenuHeaders['cff'][$key][0]['lv2_id']]*-1,2) : "";
				
				$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowM);
				$monthHeader++;
			}
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
			$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
			$rowNum++;
	}
	else if($report_levels == "lv2_lv3")
	{
		$rowNum++;
		
		for($k=0;$k<sizeof($val);$k++)
		{
			for ($i=0;$i<sizeof($cursorExpArray['cff']);$i++)
			{
				if($cursorExpArray['cff'][$i]['name'] == $val[$k]['name'] && $cursorExpArray['cff'][$i]['id'] == $val[$k]['lv2_id'] && $cursorExpArray['cff'][$i]['lv3_id'] == $val[$k]['lv3_id'])
				{
					$tableTdA = $cursorExpArray['cff'][$i]['name'];
					$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum, $tableTdA);
					$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setIndent(3);
					
					$monthHeader = 1;
					for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
					{
						$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
						$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
						$rowB = (isset($expMenuQuery[$monthVal]["cff"][$key]) && $expMenuQuery[$monthVal]["cff"][$key]['lv2_id'] == $val[$k]['lv2_id'] && isset($expMenuQuery[$monthVal]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']])) ? number_format($expMenuQuery[$monthVal]["cff"][$key][$val[$k]['name']][$val[$k]['lv3_id']]*-1,2) : "";
						$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $rowB);
						$monthHeader++;
					}
					
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');		
					$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
				}
			}
			$rowNum++;
		}
	}
}

$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,  'เงินสดสุทธิจากกิจกรรมจัดหาเงิน:');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getBorders()->getTop()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);

$monthHeader = 1;
for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
{
	$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
	$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
	$sumCFO = isset($summaryCashflow[$monthVal]["cff"]["summary"]) ? number_format($summaryCashflow[$monthVal]["cff"]["summary"],2) : 0.00;
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $sumCFO);
	$monthHeader++;
}
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');			
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum = $rowNum+2;

/*======================END LV2/LV3 LOOP=========================*/

/*======================PERIOD SUMMARY========================*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,  'เงินสดสุทธิ :');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);

$monthHeader = 1;
for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
{
	$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
	$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
	$monthSumm = isset($summCash[$monthVal]["total_summary"]) ? number_format($summCash[$monthVal]["total_summary"],2) : 0.00;
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $monthSumm);
	$objPHPExcel->getActiveSheet()->getStyle($month_column_array[$monthNum].$rowNum)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_THICK);
	$monthHeader++;
}

$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum = $rowNum+2;

/*=========================END PERIOD SUMMARY ===========================*/

/*======================CARRY FORWARD BALANCE SUMMARY=======================*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,  'เงินสดต้นงวดยกมา');


$monthHeader = 1;
for($cellHead=(int)$report_start_month-1;$cellHead<(int)$report_end_month;$cellHead++)
{
	$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
	$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
	$carryBalance = isset($summAll[$monthVal]) ? number_format($summAll[$monthVal],2) : 0.00;
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $carryBalance);
	$monthHeader++;
}

$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
$rowNum = $rowNum+2;

/*=======================END CARRY FORWARD BALANCE SUMMARY================*/

/*==========================MONTH-END BALANCE SUMMARY=====================*/
$objPHPExcel->setActiveSheetIndex(0)->setCellValue('A'.$rowNum,  'เงินสดคงเหลือปลายงวด:');
$objPHPExcel->getActiveSheet()->getStyle('A'.$rowNum)->getFont()->setBold(true);

$monthHeader = 1;
for($cellHead=(int)$report_start_month;$cellHead<=(int)$report_end_month;$cellHead++)
{
	$monthNum = str_pad($monthHeader, 2, "0", STR_PAD_LEFT);
	$monthVal = str_pad($cellHead, 2, "0", STR_PAD_LEFT);
	$summBalance = isset($summAll[$monthVal]) ? number_format($summAll[$monthVal],2) : 0.00;
	$objPHPExcel->setActiveSheetIndex(0)->setCellValue($month_column_array[$monthNum].$rowNum, $summBalance);
	$monthHeader++;
}

$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getNumberFormat()->setFormatCode('#,##0.00');					
$objPHPExcel->getActiveSheet()->getStyle('B'.$rowNum.':'.$month_column_array[$monthNum].$rowNum)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_RIGHT);
/*=======================END MONTH-END BALANCE SUMMARY===================*/
			
// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('MonthlySummary-'.$report_year);

