<?php
  /* 
   * Paging
   */
  $iDisplayLength = intval($_GET['length']);

  $iDisplayStart = intval($_GET['start']);
  
  $menu_type = $_GET['menu_type'];
  $lv3_type = $_GET['lv3_type'] == "0" ? "" : $_GET['lv3_type'];  
  
  $sEcho = intval($_REQUEST['draw']);
  $records = array();
  $records["data"] = array(); 
  include('getTransData.php');

  $iTotalRecords = sizeof($rcvMenuQuery);
  $iDisplayLength = $iDisplayLength < 0 ? $iTotalRecords : $iDisplayLength; 
  $end = $iDisplayStart + $iDisplayLength;
  $end = $end > $iTotalRecords ? $iTotalRecords : $end;

  for($i = $iDisplayStart; $i < $end; $i++) {
    $id = ($i + 1);
    $records["data"][] = array(
      '<label class="mt-checkbox mt-checkbox-single mt-checkbox-outline"><input name="id[]" type="checkbox" class="checkboxes" value="'.$id.'"/><span></span></label>',
      $rcvMenuQuery[$i]['trans_date'],
      $rcvMenuQuery[$i]['trans_val'],
      'John Doe',
      '<button class="table-edit-btn edit"  ng-click="recvTransEdit("'.trim($rcvMenuQuery[$i]['mcf_trans_id']).'","'.$menu_type.'")"><i class="icon-pencil table-edit-btn"></i></button> <button class="table-edit-btn delete" ng-click="recvTransDelete("'.trim($rcvMenuQuery[$i]['mcf_trans_id']).'","'.$menu_type.'")"><i class="icon-trash table-edit-btn"></i></button>',
   );
  }

  if (isset($_REQUEST["customActionType"]) && $_REQUEST["customActionType"] == "group_action") {
    $records["customActionStatus"] = "OK"; // pass custom message(useful for getting status of group actions)
    $records["customActionMessage"] = "Group action successfully has been completed. Well done!"; // pass custom message(useful for getting status of group actions)
  }

  $records["draw"] = $sEcho;
  $records["recordsTotal"] = $iTotalRecords;
  $records["recordsFiltered"] = $iTotalRecords;
  $records["lv3_type"] = $lv3_type;
  
  echo json_encode($records);
?>