<?php
include('collection_lists.php');

$raw_input = file_get_contents("php://input");
$input = (array)json_decode($raw_input);
$business_id = isset($input['business_id']) ? $input['business_id'] : 1;
$success = true;
$msg = "";
//echo json_encode($input['user_data']);exit;
/* update company data */
if( isset($input['company_data']) ){
	$collection = $client->$dbNameConnector->settings_personal;
	$filter = ['mcf_personal_id' => (int)$input['id'] , 'business_id' => $business_id];
	$settings = (array)$input['company_data'];
	$update = [
		'$set' => 
			[
				'name' => $settings['name'],
				'address'=> $settings['address'],
				'mobile' => $settings['mobile'],
				'telephone' => $settings['tel'],
				'email' => $settings['email'],
				'tax_id' => $settings['tax_id'],
				"update_date"=>date("Y-m-d H:i:s"), 
				"update_user" => (array)$input['user']
			]
	];
	//echo json_encode($update);exit;
	$updateResult = $collection->updateOne($filter,$update);
	$success &= $updateResult->getMatchedCount()  == 1 ? true : false;
	$msg .= $updateResult->getMatchedCount()  == 1 ? "[success] update settings_personal" : "[error] update settings_personal";
}

if( isset($input['user_data']) ){
	$collection = $client->$dbNameConnector->users;
	$user = (array)$input['user_data'];
	//echo json_encode($user);exit;
	$filter = ['user_id' => (int)$user['userId'] , 'user_name' => $user['userName']];
	$update =  [
		'$set' => [
				'first_name' => $user['firstName'],
				'last_name'=> $user['lastName'],
				"update_user" => (array)$input['user']
		]
	];
	$updateResult = $collection->updateOne($filter,$update);
	$success &= $updateResult->getMatchedCount()  == 1 ? true : false;
	$msg .= $updateResult->getMatchedCount()  == 1 ? " [success] update user" : " [error] update user";
}

$collection = $client->$dbNameConnector->settings_invoice;
$settings = (array)$input['VAT_data'];
$filter = [];
$update = [
	'$set'=> [
		'VAT_active' => $settings['VAT_active'],
		'VAT_item_type' => $settings['VAT_item_type'],
		'update_date' => date("Y-m-d H:i:s"),
		'update_user' => (array)$input['user']
	]
];
$updateResult = $collection->updateOne($filter,$update);
$success &= $updateResult->getMatchedCount();
$msg .= $updateResult->getMatchedCount()  == 1 ? " [success] update VAT settings" : " [error] update VAT settings";
	
$result_data = ['success'=>$success,'msg'=>$msg];
echo json_encode($result_data);
?>